=== release 1.4.4 ===

2014-11-06  Sebastian Dröge <slomo@coaxion.net>

	* configure.ac:
	  releasing 1.4.4

2014-11-01 12:18:02 +0100  Aurélien Zanelli <aurelien.zanelli@darkosphere.fr>

	* ext/vpx/gstvp8utils.h:
	  vpx: remove compatibility defines
	  We are guaranteed to have VPX_IMG_FMT_I420, VPX_PLANE_Y,
	  VPX_PLANE_U and VPX_PLANE_V as we require libvpx > 1.1.0.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739476

2014-11-01 11:59:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpmp2tpay.c:
	  rtpmp2tpay: fix up template caps so we can output the default pt 33
	  Add fixed payload type for mp2t to template caps as well, so
	  our output caps match the advertised default pt. Fixes a
	  regression from 1.2.
	  There's still something wrong with caps negotiation though,
	  rtpmp2tpay payload=96 ! fakesink will not output caps with
	  payload=96.

2014-10-27 11:08:20 +0100  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/aacparse.c:
	  aacparse: Fix unit test now that we always have profile/level in the caps

2014-10-26 11:47:25 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: Always set profile/level on the caps
	  We have the information already, so why not use it?

2014-10-30 15:37:36 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: mikey related memory leaks
	  https://bugzilla.gnome.org/show_bug.cgi?id=739430

2014-10-28 21:32:06 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/pulse/pulsedeviceprovider.h:
	* sys/v4l2/gstv4l2deviceprovider.h:
	* sys/v4l2/gstv4l2tuner.h:
	  pulse, v4l2: add missing G_END_DECLS in some places

2014-10-22 22:50:54 +0530  Arun Raghavan <arun@accosted.net>

	* ext/pulse/pulsesink.c:
	  pulsesink: Temporarily disable stream status posting
	  We need a mechanism in PulseAudio to allow running code outside the
	  mainloop lock. Then we'd be able to post to the bus (taking the
	  GST_OBJECT_LOCK), without worrying about locking order with the mainloop
	  lock, which is the current cause of deadlocks while trying to post the
	  stream status messages.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736071

2014-10-07 15:29:33 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: cleanly handle streamon failure for output device
	  On streamon failure, the queued buffer is not released from the
	  bufferpool class point of view because it is queued to the driver and
	  the flush logic is not performed since we are not in streaming state.
	  It causes the v4l2 bufferpool to always return that stop method failed
	  and to leak v4l2 objects and buffers.
	  This commit solve this by performing the flush logic in error case, ie
	  flushing the allocator and restoring queued buffer state to non-queued.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738102

2014-10-08 10:31:21 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: implement dispose method
	  Unref objects in dispose method rather than in finalize in order to
	  prevent circular reference.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738102

2014-10-08 10:35:14 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: check that allocator is non null when stopping pool
	  Otherwise, we could dereference NULL allocator when the stop method is
	  called by the GstBufferPool's finalize method.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738102

2014-10-09 12:15:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: Implement unlock/unlock_stop
	  This will prevent deadlocks, but will also properly flush the pool and allocator
	  when going to READY state. It should also fix issues reported on mailing list
	  when seeking is performed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738152

2014-10-25 12:36:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: fix crash on some 32-bit systems
	  Make sure to pass right number of bits to gst_structure_new()
	  which is a vararg function.
	  Fixes elements/rtpaux unit test on ppc32.

2014-10-24 23:48:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/interleave/interleave.c:
	  interleave: intersect result with filter caps in caps query
	  Fixes crash in audiotestsrc because of an unsupported format
	  getting negotiated on big-endian systems with
	  audiotestsrc ! interleave ! audioconvert ! wavenc

2014-10-22 15:28:44 +0200  Ananda <ananda@latelier23.com>

	* ext/speex/gstspeexdec.c:
	* ext/speex/gstspeexenc.c:
	  speex: Fix segfault when resetting the codecs multiple times
	  https://bugzilla.gnome.org/show_bug.cgi?id=738793

2014-10-21 13:10:24 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: make debug line less confusing

2014-10-03 17:28:06 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: set full stream caps on internal src TCP pads
	  Set the complete stream caps on the TCP internal src pads. Otherwise,
	  ptdemux will not properly detect the caps change.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737868

2014-10-17 22:23:27 +0200  Sjoerd Simons <sjoerd@luon.net>

	* gst/rtpmanager/gstrtpmux.c:
	* tests/check/elements/rtpmux.c:
	  rtpmux: Don't set PROXY_CAPS flag on the src pad
	  rtpmux behaves like a funnel in that it forwards whatever upstream is
	  sending buffers. So setting proxy caps doesn't make sense as the
	  upstream don't have to have compatible caps, thus resulting in an empty
	  caps set as a result of a caps query. Instead set fixed caps just
	  as funnel does.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738722

2014-10-20 11:57:38 +0530  Vineeth T M <vineeth.tm@samsung.com>

	* gst/videobox/gstvideobox.c:
	  videobox: critical error when element properties set as max/min
	  left, right, top, bottom can be set from range of -2147483648 to 2147483647
	  when i launch the videobox element with that values, it gives a critical error
	  (gst-check-1.0:29869): GStreamer-CRITICAL **: gst_value_set_int_range_step: assertion 'start < end' failed
	  This happens because min cannot be equal to max.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738838

2014-10-11 11:18:42 +1100  David Sansome <me@davidsansome.com>

	* gst/equalizer/gstiirequalizer.c:
	  equalizer: Don't call iirequalizer's transform_ip in passthrough mode
	  It tries to map the read-only buffer with GST_MAP_READWRITE and crashes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737886

2014-10-02 14:26:08 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	  souphttpclientsink: Fix lifetime of stream headers and queued buffers
	  Stream headers are updated whenever ::set_caps is called, so we can't assume
	  they'll be valid before the message body is written out. We *can* assume that
	  for queued buffers, but SOUP_MEMORY_STATIC is still wrong for those.
	  Also, add some debug logging for stream header interactions.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737771

2014-10-02 03:26:22 +0200  Matej Knopp <matej.knopp@gmail.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: fix memory leak when prepending ADTS headers
	  https://bugzilla.gnome.org/show_bug.cgi?id=737761

2014-10-02 10:10:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/wavenc/gstwavenc.c:
	  wavenc: Send CAPS event after the pad was activated
	  Otherwise the CAPS event will be dropped and we never configure any caps at
	  all, leading to weird behaviour in many situations. Especially header
	  rewriting is not going to work if a capsfilter is after wavenc.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737735

2014-10-01 23:12:30 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	  souphttpclientsink: Add some more useful debug logging

2014-10-01 23:05:03 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	  souphttpclientsink: Free queued buffers in ::reset
	  ::render sets a new callback for writing out new buffers only if there aren't
	  already buffers queued for writing with a previously-scheduled callback.
	  However, if the previously-scheduled callback is interrupted by a state change
	  (either manually or due to an error) and there are still buffers in the queue,
	  restarting the pipeline will result in buffers being queued forever, and no
	  callbacks will ever be scheduled, and no buffers will be written out.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737739

2014-09-30 11:28:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvp8enc.c:
	  vp8enc: finish() and drain() should return a GstFlowReturn

2014-09-30 11:35:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp9enc.c:
	  vp8enc/vp9enc: Protect the encoder with a mutex in all situations

2014-09-30 11:31:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvp9enc.c:
	  vp9enc: Allow caps renegotiation
	  https://bugzilla.gnome.org/show_bug.cgi?id=726329

2014-03-14 12:59:02 +0100  Jose Antonio Santos Cadenas <santoscadenas@gmail.com>

	* ext/vpx/gstvp8enc.c:
	  vp8enc: Allow caps renegotiation
	  https://bugzilla.gnome.org/show_bug.cgi?id=726329

2014-09-29 22:48:16 +0530  Arun Raghavan <arun@accosted.net>

	* ext/pulse/pulsesink.c:
	* ext/pulse/pulsesrc.c:
	  pulse: Add some documentation about threading and synchronisation
	  This gives a quick introduction to how the pulsesink/pulsesrc code
	  interacts with the pa_threaded_mainloop that we start up to communicate
	  with the server.

2014-09-29 20:18:08 +0530  Arun Raghavan <arun@accosted.net>

	* ext/pulse/pulsesink.c:
	  pulsesink: Make emitting stream status messages synchronous
	  The stream status messages are emitted in the PA mainloop thread, which
	  means the mainloop lock is taken, followed by the Gst object lock (by
	  gst_element_post_message()). In all other locations, the order of
	  locking is reversed (this is unavoidable in a bunch of cases where the
	  object lock is taken by GstBaseSink or GstAudioBaseSink, and then we get
	  control to take the mainloop lock).
	  The only way to guarantee that the defer callback for stream status
	  messages doesn't deadlock is to either stop posting those messages, or
	  make sure that the message emission is completed before we proceed to
	  any point that might take the object lock before the mainloop lock
	  (which is what we do after this patch).
	  https://bugzilla.gnome.org/show_bug.cgi?id=736071

2014-10-10 18:30:07 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/rtpmanager/rtpsource.c:
	* gst/rtpmanager/rtpsource.h:
	  rtpsource: Rename seqnum-base to seqnum-offset in caps
	  This was modified back in 1.0 in GstRtpBasePayload

2014-10-10 17:30:24 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/rtpmanager/gstrtpmux.c:
	* gst/rtpmanager/gstrtpmux.h:
	* tests/check/elements/rtpmux.c:
	  rtpmux: clock-base and seqnum-base -> timestamp-offset and seqnum-offset
	  These were renamed in GstRTPBasePayload in 1.0

2014-10-10 18:11:19 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/dtmf/gstrtpdtmfsrc.c:
	* tests/check/elements/dtmf.c:
	  rtpdtmfsrc: clock-base and seqnum-base -> timestamp-offset and seqnum-offset
	  These were renamed in GstRTPBasePayload in 1.0

=== release 1.4.3 ===

2014-09-24 12:35:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.4.3

2014-09-24 11:33:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-09-23 22:55:48 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: Only calculate with durations != -1

2014-09-23 09:47:31 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/elements/souphttpsrc.c:
	  check/soup: Temporarily disable G_ENABLE_DIAGNOSTIC
	  The SOUP_SERVER_PORT property has been deprecated in recent libsoup
	  versions.

2014-09-23 09:43:05 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/elements/souphttpsrc.c:
	  check/soup: Define minimum version required
	  To avoid deprecation warnings

=== release 1.4.2 ===

2014-09-19 14:41:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.4.2

2014-09-19 10:58:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-09-19 10:00:24 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/sr.po:
	  po: Update translations

2014-09-17 16:37:11 +0200  Ognyan Tonchev <ognyan@axis.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: do not leak encsink pad in error case
	  https://bugzilla.gnome.org/show_bug.cgi?id=736807

2014-09-17 16:23:21 +0200  Ognyan Tonchev <ognyan@axis.com>

	* gst/multipart/multipartdemux.c:
	  multipartdemux: do not leak new stream event
	  https://bugzilla.gnome.org/show_bug.cgi?id=736805

2014-09-17 13:55:18 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/osxaudio/gstosxcoreaudio.c:
	* sys/osxaudio/gstosxcoreaudiocommon.c:
	* sys/osxaudio/gstosxcoreaudiohal.c:
	* sys/osxaudio/gstosxcoreaudioremoteio.c:
	  osxaudio: OSStatus is not a fourcc, so don't print it as one...

2014-09-16 14:26:08 +0200  Ognyan Tonchev <ognyan@axis.com>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: do not leak uid after parsing TOC event
	  https://bugzilla.gnome.org/show_bug.cgi?id=736739

2014-09-15 14:51:24 +0200  Peter Korsgaard <peter@korsgaard.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: O_CLOEXEC needs _GNU_SOURCE
	  Similar to 94f3d6fc / bz 709423
	  On some systems (E.G. uClibc and older Glibc versions), O_CLOEXEC is only
	  defined when _GNU_SOURCE is specified, so do so.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736670

2014-09-15 18:11:37 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/debugutils/gstcapssetter.c:
	  capssetter: update to 1.0 transform_caps sematics
	  In 1.0, we pass the complete caps to transform_caps to allow for better
	  optimizations. Make this function actually work on non-simple caps
	  instead of just ignoring the configured filter caps.

2014-09-12 15:06:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: Fix parsing of adtl chunks
	  We have to skip 12 bytes of data for the chunk, and the data size
	  passed to the sub-chunk parsing functions should have 4 bytes less
	  than the data size.
	  Also when parsing the sub-chunks, check if we actually have enough
	  data to read instead of just crashing.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736266

2014-09-04 16:21:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-read-common.h:
	  matroska-demux: Don't handle parse errors at the end of file as an error
	  But only if they happen after the Matroska segment.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735833

2014-09-11 12:52:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: If the server reports "Accept-Ranges: none" don't try range requests

2014-09-10 09:50:45 +0200  Ognyan Tonchev <ognyan@axis.com>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: Unref pool after usage
	  https://bugzilla.gnome.org/show_bug.cgi?id=736384

2014-09-09 19:03:50 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Don't rank it for now
	  This will prevent the converter to be picked automatically in case
	  someone implement dynamic converter selection support. I'd like this
	  to be ranked only for known device, as it's hard to be sure a device is
	  a converter suited for general purpose. Re-negotiation is also needed
	  before we can rank it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=733607

2014-08-29 17:09:30 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Workaround driver that don't support REQBUFS(0)
	  There is still around 18 drivers not yet ported to videobuf2. These driver
	  don't support freeing buffetrs through REQBUFS(0) hence for these the
	  memory type probing fails. In order to gain back our previous behaviour in
	  presence of these, we implement a workaround that assuming MMAP is
	  supported. Note that an allocator is only created for device with
	  STREAMING support in the device capabilities. In such case one of MMAP,
	  USERPTR and DMABUF is required. Though DMABUF came afterward, so is
	  not an option and in practice none of these drivers will only do USERPTR.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735660
	  Also-by: Hans de Goede <hdegoede@redhat.com>

2014-09-07 12:46:08 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/avi/gstavidemux.c:
	  avidemux: fix crash with certain videos
	  This is a regression from 1.2 caused by the port
	  to the pad flow combiner.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736192

2014-09-01 09:56:02 +0200  Nicolas Huet <nicolas.huet@parrot.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: Fix parsing issue when the buffer does not have a complete ADTS/LOAS frame
	  https://bugzilla.gnome.org/show_bug.cgi?id=735520

2014-09-04 12:14:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Include redirection target in error messages
	  Just giving the original URI can give the false impression that e.g.
	  that one failed host name resolution, while actually the redirection target
	  did.

2014-09-02 11:13:44 +0400  Andrei Sarakeev <sarakusha@gmail.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: Fix synchronization if dynamically changing the FPS
	  https://bugzilla.gnome.org/show_bug.cgi?id=735859

2014-09-02 13:52:43 +0530  Ravi Kiran K N <ravi.kiran@samsung.com>

	* gst/smpte/gstsmpte.c:
	  smpte: Check if input caps are the same and create output caps from video info
	  This makes sure that also properties like the pixel-aspect-ratio are the same
	  between both streams and that the output caps contain all fields necessary for
	  complete video caps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735804

2014-09-03 23:46:34 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/qtdemux.c:
	* gst/isomp4/qtdemux_types.c:
	  qtdemux: Silence some warnings for normal file contents

2014-09-02 09:09:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvp9dec.c:
	  vp9dec: Get input width/height from the codec instead of the input caps
	  They are reported properly by libvpx if the correct struct members are used.
	  This also fixes handling of resolution changes without input caps changes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=719359

2013-10-22 18:49:22 +0100  Tom Greenwood <tcdgreenwood@hotmail.com>

	* ext/vpx/gstvp8dec.c:
	  vp8dec: Fix for handling resolution changes when decoding VP8
	  If the resolution changes in the bitstream without the input caps changing we
	  would previously output corrupted video or crash.
	  https://bugzilla.gnome.org/show_bug.cgi?id=719359

2014-08-05 10:34:39 +0200  Jose Antonio Santos Cadenas <santoscadenas@gmail.com>

	* ext/vpx/gstvp8dec.c:
	  vp8dec: Reset output and input states when changing format
	  https://bugzilla.gnome.org/show_bug.cgi?id=734266

2014-09-02 00:55:17 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/vpx/gstvp9dec.c:
	  vp9dec: Fix segfault when a new caps is received
	  Remember to unref the output caps when a new caps event is received
	  as it should generate a new one based on the new caps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=734266

2014-08-29 12:01:27 +0200  Hans de Goede <hdegoede@redhat.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: get_nearest_size: Fix "Unsupported field type" errors
	  Most V4L2 ioctls like try_fmt will adjust input fields to match what the
	  hardware can do rather then returning -EINVAL. As is docmented here:
	  http://linuxtv.org/downloads/v4l-dvb-apis/vidioc-g-fmt.html
	  EINVAL is only returned if the buffer type field is invalid or not supported.
	  So upon requesting V4L2_FIELD_NONE devices which can only do interlaced
	  mode will change the field value to e.g. V4L2_FIELD_BOTTOM as only returning
	  half the lines is the closest they can do to progressive modes.
	  In essence this means that we've failed to get a (usable) progessive mode
	  and should fall back to interlaced mode.
	  This commit adds a check for having gotten a usable field value after the first
	  try_fmt, to force fallback to interlaced mode even if the try_fmt succeeded,
	  thereby fixing get_nearest_size failing on these devices.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735660

2014-08-29 10:57:20 +0200  Hans de Goede <hdegoede@redhat.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: get_nearest_size: Always reinit all struct fields on retry
	  They may have been modified by the ioctl even if it failed. This also makes
	  the S_FMT fallback path try progressive first, making it consistent with the
	  preferred TRY_FMT path.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735660

=== release 1.4.1 ===

2014-08-27 15:04:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.4.1

2014-08-27 14:32:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-08-27 12:32:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/nb.po:
	* po/nl.po:
	  po: Update translations

2014-08-14 16:36:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: Use the best width/height/etc if downstream can handle that
	  Before it was always using whatever downstream preferred, while
	  the code and documentation claimed something different.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727180

2014-08-14 11:29:00 +0530  Ravi Kiran K N <ravi.kiran@samsung.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: Avoid double free of VideoConvert
	  https://bugzilla.gnome.org/show_bug.cgi?id=734764

2014-08-13 11:54:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: un-break duration querying
	  Commit 2b9493b5 broke this in two ways: a) we should only
	  pass duration queries in TIME format upstream (or at least
	  not those in DEFAULT or BYTE format), and b) we mustn't
	  overwrite the default value of 'res' from TRUE to FALSE
	  and not set it again later. This led to bogus durations
	  being reported for FLV playback from file, because TIME
	  queries would fail (as 'res' had been set to FALSE) and
	  parsers then do a BYTE query as fallback and try to
	  guesstimate something in return, which of course goes
	  horribly wrong since the BYTE size returned is for the
	  muxed file.

2014-08-08 12:54:30 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/shapewipe/gstshapewipe.c:
	* tests/examples/shapewipe/shapewipe-example.c:
	  shapewipe: Unref caps and element after usage
	  https://bugzilla.gnome.org/show_bug.cgi?id=734478

2014-07-28 16:49:16 +0200  Philippe Normand <philn@igalia.com>

	* gst/interleave/interleave.c:
	* tests/check/elements/interleave.c:
	  interleave: set output caps layout to interleaved
	  Set output caps layout independently from input caps layout which can
	  be either non-interleaved or interleaved.
	  https://bugzilla.gnome.org/show_bug.cgi?id=733866

2014-08-10 12:30:07 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* tests/check/elements/rtp-payloading.c:
	  tests: rtp-payloading: adjust test data to avoid NAL chopping
	  ... and correspondingly unexpected buffer sizes.

2014-08-07 16:34:36 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/rtp/gstrtph263ppay.c:
	  rtph263ppay: Unref pad template caps after use
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=734435

2014-08-08 12:36:01 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: Unref allowed caps after usage
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=734474

2014-08-08 12:40:49 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: Unref pad template caps after usage
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=734475

2014-08-08 12:44:09 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/debugutils/gstnavseek.c:
	  navseek: Unref peer pad after usage
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=734476

2014-08-08 12:29:52 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/rtpmanager/gstrtpmux.c:
	  rtpmux: Unref pad template caps after usage
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=734473

2014-08-03 12:33:32 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/rtp/gstrtph264pay.c:
	  rtph264pay: unbreak au aligned byte-stream payloading

2014-07-31 09:53:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/ximage/ximageutil.c:
	  ximagesrc: Fix warning about missing return value

2014-07-24 15:28:09 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/ximage/gstximagesrc.c:
	* sys/ximage/ximageutil.c:
	* sys/ximage/ximageutil.h:
	  ximagesrc: Add missing return value to Buffer dispose function
	  Depending ont he build, the method could return FALSE, hence never
	  free the buffers, or already TRUE and lead to a crash:
	  Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=733695

=== release 1.4.0 ===

2014-07-19 17:20:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.4.0

2014-07-19 16:35:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-07-19 12:32:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  po: Update translations

2014-07-19 11:30:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videobox/gstvideobox.c:
	  videobox: Don't overwrite the first component with the alpha value for BGRx
	  Instead leave the x component unset when filling the borders.
	  https://bugzilla.gnome.org/show_bug.cgi?id=733380

2014-07-16 17:18:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: Properly report in the CAPS query that we can convert ADTS<->RAW
	  https://bugzilla.gnome.org/show_bug.cgi?id=733190

2014-07-13 16:05:56 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/replaygain/gstrgvolume.c:
	  rgvolume: Avoid taking unnecessary refs
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=733122

2014-07-13 16:04:23 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/rtpmanager/gstrtpdtmfmux.c:
	  rtpdtmfmux: Avoid taking an unnecessary ref
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=733122

2014-07-15 16:59:06 +0200  Piotr Drąg <piotrdrag@gmail.com>

	* po/POTFILES.in:
	  po: update POTFILES
	  https://bugzilla.gnome.org/show_bug.cgi?id=733208

2014-07-11 13:35:10 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Fix copy threshold implementation
	  We cannot allocate new buffer in acquire, otherwise the base class
	  is not aware and get confused. Instead, copy in _process(). This leads
	  to crash on finalize.
	  Fixes regression, see https://bugzilla.gnome.org/show_bug.cgi?id=732912

=== release 1.3.91 ===

2014-07-11 11:38:57 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.3.91

2014-07-11 10:58:08 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-07-10 18:11:20 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2allocator: Use qdata instead of parenting to DmabufMemory
	  Parenting V4l2Memory to DmabufMemory was in conflict with recent
	  optimization in DmabufMemory to avoid dup(), and didn't work with
	  memory sharing. Instead, use a qdata and it's destroy notify.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730441

2014-07-11 08:52:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/da.po:
	* po/de.po:
	* po/hu.po:
	* po/id.po:
	* po/pl.po:
	* po/ru.po:
	* po/uk.po:
	* po/vi.po:
	  po: Update translations

2014-07-08 17:50:47 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Workaround elements not requesting any buffers
	  This is a workaround for element that don't request buffers when
	  they should.
	  https://bugzilla.gnome.org/show_bug.cgi?id=732288

2014-07-06 11:27:36 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* tests/icles/videocrop-test.c:
	  tests: fix pipeline leak in videocrop test
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=732976

2014-07-06 11:26:46 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* tests/examples/rtp/client-rtpaux.c:
	  examples: client-rtpaux: Release reference to parent when done
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=732976

2014-07-10 17:19:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: fix query leak
	  https://bugzilla.gnome.org/show_bug.cgi?id=733003

2014-07-10 12:10:45 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/wavenc/gstwavenc.c:
	  wavenc: Return not-negotiated if we got no caps or caps negotiation failed
	  And do it always, not inside a g_return_val_if_fail().
	  See https://bugzilla.gnome.org/show_bug.cgi?id=732939

2014-07-08 13:34:28 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2src.c:
	  v4l2src: Ensure internal pool activation
	  Before we would hit an assertion "'gst_buffer_pool_is_active (bpool)' failed"
	  if the internal pool was not used to push buffer downstrea, hence not
	  given to the baseclass.
	  https://bugzilla.gnome.org/show_bug.cgi?id=732912

2014-07-04 20:22:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: fix double unlock in segment seek segment code path
	  We only want to unlock if we push an event downstream and
	  jump to done_unlock label afterwards. We would also unlock
	  in case of a segment seek and then unlock again later, and
	  nothing good can come of that.
	  (This code looks a bit dodgy anyway though, shouldn't it
	  also bail out with FLOW_EOS here in case of a segment seek
	  scenario, just without the event?)

2014-07-04 19:45:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/qtmux.c:
	  tests: qtmux: suppress glib criticals caused by testing deprecated dts methods

2014-07-04 03:21:30 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/avi/gstavidemux.c:
	* gst/wavparse/gstwavparse.c:
	  avidemux, wavparse: Print invalid fourcc in hex
	  Previously this was printed as characters which caused later processing
	  of the error message to sometimes warn about non-UTF-8 characters.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=732714

2014-07-03 15:21:18 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Pool might be NULL in decide allocation
	  If special stride is needed and downstream don't support VideoMeta,
	  pool might be NULL in order to let the baseclass create a generic
	  pool­. This would lead to assertion with on Exynos with:
	  gst-launch-1.0 -v filesrc location=mov ! qtdemux ! h264parse ! \
	  v4l2video8dec ! fakesink
	  https://bugzilla.gnome.org/show_bug.cgi?id=732707

2014-07-03 15:29:54 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: Handle FD error during poll
	  This will ensure we fail earlier if something unrecoverable
	  happens.

2014-07-03 15:28:45 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: Wait before polling if queue is empty
	  In kernel before 3.17, polling during queue underrun would unblock right
	  away and trigger POLLERR. As we are not handling POLLERR, we would endup
	  blocking in DQBUF call, which won't be unblocked correctly when going
	  to NULL state. A deadlock at start caused by locking error in libv4l2 was
	  also seen before this patch. Instead, we wait until the queue is no longer
	  empty before polling.
	  https://bugzilla.gnome.org/show_bug.cgi?id=731015

2014-07-02 16:01:47 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: fix for mikey api change

2014-06-30 10:29:54 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: fix probing and enumeration of stepwise frame sizes
	  The code enumerating STEPWISE framesizes would start from
	  (min_w, min_h) and then add (step_w, step_h) to get the
	  next framesize. However, it should really allow any width
	  from min_w to max_w with step_w and same for heights.
	  Secondly, we would add and probe each individual stepped
	  frame size to the caps as separate structure, which would
	  lead to hundreds if not thousands of structs ending up in
	  the probed caps. Use integer ranges with steps instead.
	  This was particularly noticable with the Raspberry Pi Cam.
	  https://bugzilla.gnome.org/show_bug.cgi?id=724521
	  https://bugzilla.gnome.org/show_bug.cgi?id=732458
	  https://bugzilla.gnome.org/show_bug.cgi?id=726521

2014-06-27 11:33:06 +0100  Daniel Drake <drake@endlessm.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: drop workaround for misbehaving TRY_FMT
	  This workaround from 2011 was causing 25 S_FMT ioctls to be sent
	  to my UVC webcam from under gst_v4l2_object_get_caps as it probes
	  all the formats. In total, this adds up to about 5 seconds of
	  execution time, or a 10 second delay while starting up cheese.
	  These ioctls come from a workaround from 2011 where TRY_FMT might
	  make changes to hardware settings, so S_FMT was used to restore
	  the original config:
	  https://bugzilla.gnome.org/show_bug.cgi?id=649067
	  The driver bug is now assumed fixed. Remove the workaround to fix the
	  long startup delay.
	  https://bugzilla.gnome.org/show_bug.cgi?id=732326

2014-07-01 12:50:31 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/videomixer/videomixer2.c:
	  videomixer: reset QoS on segment event
	  https://bugzilla.gnome.org/show_bug.cgi?id=732540

2014-07-01 15:14:34 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: send gap events instead of segment tricks
	  This fixes missing frames from being time skipped.
	  https://bugzilla.gnome.org/show_bug.cgi?id=732372

2014-06-30 00:00:32 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/rtpsession.c:
	  rtpsession: Fix memory leaks in unit test

2014-06-29 23:55:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: Don't leak caps

2014-06-29 20:02:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/pulse/pulsesrc.c:
	  pulsesrc: Fix compiler warning when compiling with G_DISABLE_ASSERT

2014-06-29 19:59:53 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpssrcdemux.c:
	  rtpssrcdemux: Fix compiler warning when compiling with G_DISABLE_ASSERT

2014-06-29 19:57:57 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: Fix compiler warnings when compiling with G_DISABLE_ASSERT

2014-06-29 19:54:44 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/deinterlace/gstdeinterlacemethod.c:
	  deinterlace: Fix compiler warnings when compiling with G_DISABLE_ASSERT

2014-06-29 17:05:13 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/pulse/pulsedeviceprovider.c:
	  pulse: fix compiler warnings when compiling with -DG_DISABLE_ASSERT
	  Compiler complains about uninitialised variables in the impossible
	  'default' code path in device provider source/sink switch-case.

2014-06-29 17:03:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2deviceprovider.c:
	  v4l2: fix compiler warnings when compiling with -DG_DISABLE_ASSERT
	  Compiler complains about uninitialised variables in the impossible
	  'default' code path in device provider source/sink switch-case.

2014-06-28 17:40:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/matroskaparse.c:
	  tests: matroskaparse: fail on errors and disable pull mode test
	  Actually look for error messages on the bus and fail if there
	  is one before the EOS message. Disable pull mode test which is
	  pointless as long as matroskaparse only supports push mode
	  (pull mode support has not been ported over to 1.0).

2014-06-28 17:37:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-parse.c:
	  matroskaparse: don't error out if there's not enough data in the adapter
	  gst_matroska_parse_take() would return FLOW_ERROR instead of
	  FLOW_EOS in case there's less data in the adapter than requested,
	  because buffer is NULL in that case which triggers the error
	  code path. This made the unit test fail (occasionally at least,
	  because of a bug in the unit test there's a race and it would
	  happen only sporadically).

2014-06-28 16:53:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videomixer/videomixerorc-dist.c:
	* gst/videomixer/videomixerorc-dist.h:
	  videomixer: Update dist generated ORC files

2014-06-28 16:48:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videomixer/gstcms.c:
	* gst/videomixer/gstcms.h:
	* gst/videomixer/videoconvert.c:
	* gst/videomixer/videoconvert.h:
	* gst/videomixer/videomixerorc.orc:
	  videomixer: Update videoconvert code from -base
	  And also rename the remaining symbols to prevent conflicts
	  during static linking.
	  https://bugzilla.gnome.org/show_bug.cgi?id=728443

2014-06-28 13:01:46 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/autodetect/gstautovideosrc.c:
	  autovideosrc: use videotestsrc as fallback element instead of fakesrc
	  fakesrc doesn't announce video caps, so most video pipelines will
	  just error out with not-negotiated if a fallback element is created.

2014-06-28 12:44:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/autodetect/gstautoaudiosrc.c:
	* gst/autodetect/gstautodetect.c:
	* gst/autodetect/gstautodetect.h:
	  autoaudiosrc: use audiotestsrc as fallback element instead of fakesrc
	  fakesrc doesn't announce audio caps, so most audio pipelines will
	  just error out with not-negotiated if a fallback element is created.

=== release 1.3.90 ===

2014-06-28 11:21:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.3.90

2014-06-28 11:08:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-06-26 14:52:57 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/pulse/Makefile.am:
	* ext/pulse/plugin.c:
	* ext/pulse/pulsedevicemonitor.c:
	* ext/pulse/pulsedevicemonitor.h:
	* ext/pulse/pulsedeviceprovider.c:
	* ext/pulse/pulsedeviceprovider.h:
	* sys/v4l2/Makefile.am:
	* sys/v4l2/gstv4l2.c:
	* sys/v4l2/gstv4l2devicemonitor.c:
	* sys/v4l2/gstv4l2devicemonitor.h:
	* sys/v4l2/gstv4l2deviceprovider.c:
	* sys/v4l2/gstv4l2deviceprovider.h:
	  Rename GstDeviceMonitor to GstDeviceProvider

2014-06-24 09:14:40 +0530  Ravi Kiran K N <ravi.kiran@samsung.com>

	* tests/check/Makefile.am:
	* tests/check/elements/.gitignore:
	* tests/check/elements/videobox.c:
	  videobox: Add unit test
	  https://bugzilla.gnome.org/show_bug.cgi?id=732144

2014-06-16 11:35:39 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gst/videomixer/videomixer2.c:
	  videomixer: Declare as Compositor in 'klass'

2014-06-26 13:50:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: fix speex caps
	  Decoder complains about "notification: Invalid mode encountered.
	  The stream is corrupted" though, even if it works, so there's
	  probably something wrong with the generated codec headers.

2014-06-26 13:43:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/flv/gstflvmux.c:
	  flvmux: fix speex in FLV
	  Speex in FLV is always mono @ 16kHz, see
	  http://download.macromedia.com/f4v/video_file_format_spec_v10_1.pdf
	  section E.4.2.1: "If the SoundFormat indicates Speex, the audio is
	  compressed mono sampled at 16 kHz, the SoundRate shall be 0, the
	  SoundSize shall be 1, and the SoundType shall be 0"
	  Also see https://bugzilla.gnome.org/show_bug.cgi?id=683622

2014-06-26 05:19:57 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/qtdemux.c:
	  isomp4: Add object type id and fourcc for DTS/DTS-HD
	  Enables playback for files with DTS audio tracks.
	  Also add an extra AC-3 variant fourcc from Nero

2014-03-13 10:35:30 +0100  David Fernandez <d.fernandezlop@gmail.com>

	* gst/videomixer/videomixer2.c:
	  videomixer2: Solve segmentation fault when src caps are configured
	  Change function pointers to NULL while holding the lock to avoid
	  race conditions
	  https://bugzilla.gnome.org/show_bug.cgi?id=701110

2014-06-25 14:34:21 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  jitterbuffer: improve SR packet handling
	  Implement 3 different cases for handling the SR:
	  1) we don't have enough timing information to handle the SR packet and
	  we need to wait a little for more RTP packets. In that case we keep
	  the SR packet around and retry when we get an RTP packet in the
	  chain function.
	  2) the SR packet has a too old timestamp and should be discarded. It is
	  labeled invalid and the last_sr is cleared.
	  3) the SR packet is ok and there is enough timing information, proceed
	  with processing the SR packet.
	  Before this patch, case 2) and 1) were handled in the same way,
	  resulting that SR packets with too old timestamps were checked over and
	  over again for each RTP packet.

2014-06-24 10:47:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/udpsink.c:
	  tests: add udpsink test to check client add/remove

2014-06-23 16:13:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/udpsink.c:
	  tests: port udpsink tests to 1.0
	  They all seem a bit pointless though.

2014-06-23 19:55:29 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/avi/gstavimux.c:
	  avimux: Add UYVY format

2014-06-06 11:20:21 +0200  Miguel París Díaz <mparisdiaz@gmail.com>

	* gst/rtpmanager/gstrtpssrcdemux.c:
	  gstrtpssrcdemux: manage ssrc of RTCP RR packets
	  https://bugzilla.gnome.org/show_bug.cgi?id=731324

2014-06-23 20:53:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: Update offset after parsing adtl chunk
	  Otherwise we will parse it over and over again without ever
	  getting past it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=731533

2013-07-07 20:18:27 +0200  Andoni Morales Alastruey <ylatuya@gmail.com>

	* sys/osxvideo/osxvideosink.h:
	* sys/osxvideo/osxvideosink.m:
	  osxvideosink: remove legacy code for passing a window handle
	  "have-ns-view" and the "embed" property was kept in 0.10 for
	  backwards compatibility but it's no longer used in favor of
	  the GstVideoOverlay interface
	  https://bugzilla.gnome.org/show_bug.cgi?id=703753

2014-06-22 19:36:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

2014-06-22 19:26:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-read-common.c:
	  matroskademux: Don't call GST_DEBUG_OBJECT() and other macros with non-GObject objects
	  It will crash with latest GLib GIT and was never supposed to work before
	  either.

=== release 1.3.3 ===

2014-06-22 18:08:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.signals:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.3.3

2014-06-22 17:36:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-06-22 14:24:24 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  po: Update translations

2014-06-21 01:32:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/pulse/pulsedevicemonitor.c:
	* sys/v4l2/gstv4l2devicemonitor.c:
	  pulse, v4l2: update for device "klass" -> "device-class" rename

2014-06-20 12:21:05 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/udp/gstmultiudpsink.c:
	  multiudpsink: optimisation: avoid unnecessary memory ref/unrefs
	  We know the buffer will stay valid and we will also not
	  modify the buffer, we just want to send out the data.

2014-06-19 14:59:48 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/udp/gstmultiudpsink.c:
	* gst/udp/gstmultiudpsink.h:
	  multiudpsink: avoid some unnecessary run-time type checks

2014-06-19 16:17:23 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: pass the stream id when asking for crypto params
	  This way the app can choose different parameters for each stream.

2014-05-20 14:58:07 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: add support for key length parameters
	  This patch adds supports for the incoming key management parameters for
	  encryption and authentication key lengths.
	  It also adds a new signal request-rtcp-key that allows the user to
	  provide the crypto parameters and key for the RTCP stream.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730473

2014-06-19 15:25:01 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtp/gstrtpvp8depay.c:
	  vp8depay: fix header size checking
	  Use a different variable name to make it clear that we are calculating
	  the header size.
	  Correctly check that we have enough bytes to read the header bits. We
	  were checking if there were 5 bytes available in the header while we
	  only needed 3, causing the packet to be discarded as too small.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=723595

2014-05-20 12:39:31 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/rtp/gstrtph264pay.c:
	* gst/rtp/gstrtph264pay.h:
	  rtph264pay: propagate the GST_BUFFER_FLAG_DISCONT flag
	  Similarly to what we did with the DELTA_UNIT flag, this patch
	  propagates the DISCONT flag to the first RTP packet being used to transfer a
	  DISCONT buffer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730563

2014-05-06 17:42:14 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/rtp/gstrtph264pay.c:
	* gst/rtp/gstrtph264pay.h:
	  rtph264pay: propagate the GST_BUFFER_FLAG_DELTA_UNIT flag
	  Downstream elements may be interested knowing if a RTP packet is the start
	  of a key frame (to implement a RTP extension as defined in the
	  ONVIF Streaming Spec for example).
	  We do this by checking the GST_BUFFER_FLAG_DELTA_UNIT flag we receive from
	  upstream and propagate it to the *first* RTP packet outputted to transfer this
	  buffer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730563

2014-05-20 13:58:20 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpmp4gpay.h:
	  gstrtpmp4gpay: propagate the GST_BUFFER_FLAG_DISCONT flag
	  Propagate the DISCONT flag to the first RTP packet being used to transfer
	  a DISCONT buffer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730563

2014-05-20 13:58:20 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/rtp/gstrtpjpegpay.c:
	  rtpjpegpay: propagate the GST_BUFFER_FLAG_DISCONT flag
	  Propagate the DISCONT flag to the first RTP packet being used to transfer
	  a DISCONT buffer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730563

2014-06-18 15:03:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/avi/gstavidemux.c:
	  avidemux: don't leak flow combiner

2014-06-18 14:38:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpj2kpay.c:
	  rtpjp2kpay: pre-allocate buffer-list of the right size

2014-06-18 14:34:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpjpegpay.c:
	  rtpjpegpay: pre-allocate buffer list of the right size

2014-06-18 14:19:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpmp4vpay.c:
	  rtpmp4vpay: pre-allocate buffer list of the right size

2014-06-18 13:44:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvp8pay.c:
	  rtpvp8pay: allocate bitreader on the stack

2014-06-18 13:29:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvp8pay.c:
	  rtpvp8pay: post error message on bus on error and don't use g_message()

2014-06-18 13:20:44 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvp8pay.c:
	  rtpvp8pay: couple of minor optimisations
	  Pre-allocate buffer list of the right size to avoid re-allocs.
	  Avoid plenty of double runtime cast checks and re-doing the
	  same calculation over and over again in rtp_vp8_calc_payload_len().
	  Only call gst_buffer_get_size() once.

2014-06-18 08:10:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpgstpay.c:
	  rtpgstpay: pre-allocate buffer list of the right size
	  To avoid re-allocs.

2014-06-18 07:52:05 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtph264pay.c:
	  rtph264pay: pre-allocate bufferlist of the right size
	  To avoid unnecessary re-allocs.

2014-06-16 20:15:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtph264pay.c:
	* tests/check/elements/rtp-payloading.c:
	  rtph264pay: push single buffer directly, no need to wrap it in a bufferlist
	  No point in a buffer list if we just have one single
	  buffer to push. Fix up unit test to handle that case
	  as well.

2014-06-16 15:35:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvrawpay.c:
	* gst/rtp/gstrtpvrawpay.h:
	  rtpvrawpay: make chunks per frame configurable
	  Bit of a misnomer because it's really chunks per field
	  and not per frame, but we're going to ignore that for
	  the time being.

2014-06-16 14:52:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvrawpay.c:
	* gst/rtp/gstrtpvrawpay.h:
	  rtpvrawpay: remove unused variables

2014-06-16 14:44:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvrawpay.c:
	  rtpvrawpay: pre-allocate buffer lists of sufficient size
	  Avoids unnecessary reallocs when appending buffers
	  to the bufferlist.

2014-06-16 13:51:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvrawpay.c:
	  rtpvrawpay: micro-optimise variable access in inner loop
	  Store some values that don't change during the execution
	  of the inner loops locally, so the compiler knows that too.

2014-06-16 13:38:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpvrawpay.c:
	  rtpvrawpay: use buffer lists
	  Collect buffers to send out in buffer lists instead of
	  pushing out single buffers one at a time. For HD video
	  each frame might easily add up to a couple of thousand
	  packets, multiply that by the frame rate and that's a
	  lot of push() and sendmsg() calls per second.
	  A good reason to push out buffers as early as possible is
	  latency, so we don't accumulate the whole frame in a single
	  buffer list, but instead push it out in a few chunks, which
	  is hopefully a reasonable compromise.

2014-06-16 16:40:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/udp/gstdynudpsink.c:
	* gst/udp/gstmultiudpsink.c:
	  udp: improve element descriptions for dynudpsink and multiudpsink

2014-06-16 16:17:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/udp/gstdynudpsink.c:
	* gst/udp/gstmultiudpsink.c:
	  udp: remove suppression of compiler warnings for deprecated GLib API
	  Not needed any more.

2014-06-17 13:16:27 +0530  Ravi Kiran K N <ravi.kiran@samsung.com>

	* gst/videobox/gstvideobox.c:
	  videobox: Fix caps negotiation issue
	  Make sure that if AYUV is received it will detect that it can produce
	  both RGB and YUV formats
	  Signed-off-by: Ravi Kiran K N <ravi.kiran@samsung.com>
	  https://bugzilla.gnome.org/show_bug.cgi?id=725248

2014-06-16 12:02:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtptheoradepay.c:
	  rtptheoradepay: fix double frees
	  Fix double-frees introduced to fix another coverity report.
	  CID 1223053

2014-06-13 10:12:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/udp/gstdynudpsink.c:
	  dynudpsink: return FLUSHING when sendto got canceled, not an error

2014-06-13 09:52:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/oss/gstosshelper.c:
	  oss: simplify probed caps before returning them
	  Exposes all formats in the first structure if the
	  rest is the same for all of them.

2014-06-13 09:45:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/oss/gstosshelper.c:
	  oss: make sure 16-bit formats are before 8-bit formats in probed caps
	  Probe supported formats in order of desirability rather than in
	  what order they may happen to be in the formats bitmask. Fixes
	  accidentally exposure of 8-bit formats in caps before 16-bit formats
	  (in case where U16 was not supported S8 might be listed before S16).
	  https://bugzilla.gnome.org/show_bug.cgi?id=706884

2014-06-12 16:36:24 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Cleanly handle v4l2_allocator_new failure

2014-06-12 11:24:15 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtptheoradepay.c:
	  rtptheordepay: fix leaks
	  Coverity 1212163

2014-06-12 11:16:08 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtpg729pay.c:
	  rtpg729pay: leak fixes
	  Coverity 1212159

2014-06-12 11:11:38 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtph263pay.c:
	  rtph263pay: fix leak
	  Coverity 1212157

2014-06-12 10:43:53 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtph263pay.c:
	  rtph263pay: fix leaks
	  Coverity 1212149

2014-06-12 10:31:47 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtpdvpay.c:
	  rtpdvpay: catch failures to map buffer
	  Coverity 1139741

2014-06-11 17:43:42 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/multipart/multipartdemux.c:
	  multipartdemux: guard against having no MIME type
	  The code would previously crash trying to insert a NULL string
	  into a hash table.
	  It does seem a little broken that indexing is done by MIME type
	  and not by index though, unless the spec says there cannot be
	  two parts with the same MIME type.
	  https://bugzilla.gnome.org/show_bug.cgi?id=659573

2014-06-10 15:42:14 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* gst/multipart/multipartdemux.c:
	* gst/multipart/multipartdemux.h:
	  multipartdemux: Send stream-start event
	  This event was not sent. Send it before caps, this requires the pad to
	  be parented. This removes warning like: "Got data flow before
	  stream-start event".
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=731475

2014-06-10 15:33:33 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: avoid looping indefinitely in broken svq3 files
	  Abort if an atom with size 0 is read from within the svq3 stsd
	  atoms
	  https://bugzilla.gnome.org/show_bug.cgi?id=726512

2014-06-10 10:52:23 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/flac/gstflacdec.c:
	  flacdec: add const where appropriate

2014-06-09 10:39:20 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/speex/gstspeexenc.c:
	  speexenc: add missing va_end in variadic function
	  Coverity 1139944

2014-06-09 10:04:38 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Attempt upstream seek first
	  If we have an upstream element that can handle the seek (such as
	  rtmpsrc), try to do that first before attempting it ourself.

2014-06-04 11:34:27 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/wavparse/gstwavparse.c:
	  wavparse: do not include codec_data on raw audio caps
	  If the wav header contains an extended chunk, we want to keep
	  the codec_data field, but not for raw audio.
	  This fixes some elements (such as adder) from failing to intersect
	  raw audio caps which would otherwise be intersectable.

2014-06-05 09:38:29 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Query duration upstream first
	  Upstream elements (like rtmpsrc) might be able to provide the duration
	  more accurately than flvdemux. Especially with index-less vod files

2014-05-30 19:37:57 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Cleanup poll method and retry on EINTR/EAGAIN
	  https://bugzilla.gnome.org/show_bug.cgi?id=731015

2014-03-06 16:37:51 +0100  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: set RESYNC buffer flag when bridging large PTS gaps
	  So downstream gets notified when this happens.
	  https://bugzilla.gnome.org/show_bug.cgi?id=725903

2014-06-03 17:59:32 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/rtprtx.c:
	  rtprtx: Reset state on each iteration
	  Otherwise it didn't wait for the test to finish before checking the results.
	  https://bugzilla.gnome.org/show_bug.cgi?id=728501

2014-05-09 14:22:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-read-common.c:
	  matroskademux: don't leak doctype string in error code path
	  CID 1212145.

2014-05-20 08:20:42 +0200  Edward Hervey <edward@collabora.com>

	* ext/vpx/gstvp9enc.c:
	  vp9enc: Don't dereference NULL checks
	  CID #1197703

2014-05-20 08:23:06 +0200  Edward Hervey <edward@collabora.com>

	* ext/vpx/gstvp8enc.c:
	  vp8enc: Don't dereference NULL variable
	  CID #1139838

2014-05-30 14:32:42 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: upstream handles seek if fragmented and on time segment
	  Otherwise we can reject seeks on local files that contain fragmented-like
	  atoms like 'mvex'. Also improve a message log
	  https://bugzilla.gnome.org/show_bug.cgi?id=730722

2014-05-30 16:43:44 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtp/gstrtph264depay.c:
	  h264depay: make sure we call handle_nal for each NAL
	  Call handle_nal for each NAL in the STAP-A RTP packet. This makes
	  sure we correctly extract the SPS and PPS.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=730999

2014-05-07 14:09:06 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	  souphttpsrc: Add custom sticky event to contain the HTTP request and response headers
	  This can be useful to e.g. get cookie information downstream.
	  https://bugzilla.gnome.org/show_bug.cgi?id=729707

2014-05-26 19:47:39 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/avi/gstavidemux.c:
	* gst/avi/gstavidemux.h:
	  avidemux: remove stream last flow return
	  GstPad already stores that information
	  https://bugzilla.gnome.org/show_bug.cgi?id=709224

2014-05-26 19:37:46 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: remove last flow return from stream struct
	  It is already stored on GstPad on core
	  https://bugzilla.gnome.org/show_bug.cgi?id=709224

2014-05-26 19:19:45 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvdemux.h:
	  flvdemux: Use GstFlowCombiner
	  Use the flow combiner to have the standard combination results and avoid
	  repeating the same code
	  https://bugzilla.gnome.org/show_bug.cgi?id=709224

2014-05-26 13:21:25 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-demux.h:
	* gst/matroska/matroska-ids.h:
	* gst/matroska/matroska-parse.c:
	* gst/matroska/matroska-read-common.c:
	  matroskademux: use GstFlowCombiner
	  Use the flow combiner to have the standard combination results and avoid
	  repeating the same code
	  https://bugzilla.gnome.org/show_bug.cgi?id=709224

2014-05-26 13:04:10 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/avi/gstavidemux.c:
	* gst/avi/gstavidemux.h:
	  avidemux: use GstFlowCombiner
	  Removes flow return combination code to use the newly added GstFlowCombiner

2014-05-23 17:53:00 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/qtdemux.c:
	* gst/isomp4/qtdemux.h:
	  qtdemux: use GstFlowCombiner
	  Removes the common code to combining flow returns to let it be
	  handled by core gstutils' GstFlowCombiner
	  https://bugzilla.gnome.org/show_bug.cgi?id=709224

2014-05-26 10:59:55 -0400  Julien Isorce <julien.isorce@collabora.co.uk>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: implement gstvideosink.show_frame instead of gstbasesink.render
	  It allows to show preroll frame. Especially it allows to update the
	  frame when seeking in PAUSED state.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722303

2014-05-26 10:59:06 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: Cleanup old pad alloc declaration

2014-05-26 12:34:42 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2sink.c:
	  v4l2bufferpool: Copy already queued buffer
	  This is required as during preroll we pass the first buffer twice, hence already
	  queued. It is also useful, to allow filters replaying a previous rendered buffers.
	  This will require 1 more buffer in sink if last-sample is enabled, since the last
	  sample will not be the same as the currently queued buffer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722303

2014-05-24 20:20:07 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/v4l2_calls.c:
	  v4l2bufferpool: Port to bufferpool flush_start/stop method
	  Port the buffer pool to use the new flush_start/flush_stop virtual
	  methods added to GstBufferPool.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727611

2014-05-25 17:40:58 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  po: update

2014-05-25 16:54:18 +0200  Piotr Drąg <piotrdrag@gmail.com>

	* po/POTFILES.in:
	  po: update POTFILES
	  https://bugzilla.gnome.org/show_bug.cgi?id=726556

2014-05-24 23:51:58 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Don't queue all the buffers before dequeueing first
	  For output device, we where queuing all the buffers, and then we would
	  dequeue one. This means we only have 1 buffer for the pipeline, no matter
	  the size of the queue. Instead, start dequeued when min_latency is reached.
	  Eventually, this the min_latency should also be affected by control
	  MIN_BUFFERS_FOR_OUTPUT (use by encoders).

2014-05-24 23:49:19 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Simply read back the config to update the query
	  It's easy to get the min/max outdate when hacking decide allocation. In
	  order to avoid this, simply read back the choosen value from the config.

2014-05-24 23:31:24 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2src.c:
	  v4l2: Cleanup and fix calculation of latency
	  Calculation of num_buffers (the max latency in buffers) was
	  up-side-down.  If we can allcoate, then our maximum latency match
	  pool maximum number of buffers. Also renamed it to max latency. Finally
	  introduced a min_latency for clarity.

2014-05-24 20:00:14 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/v4l2_calls.c:
	  Revert "v4l2bufferpool: Port to bufferpool flush_start/stop method"
	  This reverts commit 2e0fb42e868fc9f6d98b028def80a3e953527307.
	  Conflicts:
	  sys/v4l2/gstv4l2allocator.c
	  sys/v4l2/gstv4l2bufferpool.c
	  sys/v4l2/gstv4l2videodec.c

2014-05-24 18:56:32 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fix configuration of other_pool and importation case
	  Fix the choice of min/max, don't override the min/max with own pool selected
	  size, correct other_pool is_active check, start from other_pool config when
	  configuring the other pool and finally validate the configuration.

2014-05-24 18:45:30 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Use proposed allocator as default

2014-05-24 18:43:28 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Fix USERPTR map flags
	  We need to map READ only for output and write only for capture, we where
	  doing the opposite. This fixing USERPTR with glimagesink
	  https://bugzilla.gnome.org/show_bug.cgi?id=730698

2014-05-24 11:16:35 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: parse tkhd transformation matrix and add tags if appropriate
	  Handle the transformation matrix cases where there are only simple rotations
	  (90, 180 or 270 degrees) and use a tag for those cases. This is a common scenario
	  when recording with mobile devices
	  https://bugzilla.gnome.org/show_bug.cgi?id=679522

2014-05-23 19:10:21 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Prevent num_queued from going negative

2014-05-23 18:25:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: don't stop if loop returned FLUSHING
	  The decodeing thread returning flushing isn't an error, we should simply
	  try starting the task again. If it's actually flushing, it will stop again by itself.

2014-05-23 17:54:20 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Handle early task stop

2014-05-23 17:28:13 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Handle gst_pad_start_task() failure

2014-05-23 17:19:07 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Add trace for FLUSH_START/STOP handling

2014-05-23 17:18:16 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Fix use of atomic value

2014-05-23 17:01:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Improve debugging
	  No need to use obj->element, the pool now have a significant name. Also don't
	  warn if flushing.

2014-05-23 17:01:02 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Fix handle_frame error handling

2014-05-23 15:56:24 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Add a trace when _start() is called

2014-05-23 15:56:02 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Add debug assert to detect calls in the wrong state

2014-05-23 15:55:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Reset count when stopped

2014-05-23 15:55:08 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2allocator: Return a GstFlowReturn instead of boolean in alloc

2014-05-23 15:17:27 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Don't leak config structure

2014-05-23 14:12:10 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/v4l2_calls.c:
	  v4l2bufferpool: Port to bufferpool flush_start/stop method

2014-05-23 03:00:50 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/fourcc.h:
	* gst/isomp4/qtdemux.c:
	  qtdemux: add tag mappings for _swr, _mak and _mod tags
	  swr -> Application name
	  mak -> device manufacturer
	  mod -> device model

2014-05-20 17:37:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/ximage/gstximagesrc.c:
	  ximagesrc: Fix ximage leaks when buffer has more then one ximage
	  From time to time, when the image_pool list has more then 1 element
	  and I suppose at start, all but 1 pooled ximage are leaked. This is
	  due to broken algorithm in gst_ximagesink_src_ximage_get(). There was
	  also a risk of use after free for the case where the ximage size has
	  changed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=728502

2014-05-21 13:23:27 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.2 ===

2014-05-21 13:06:35 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/inspect-build.stamp:
	* docs/plugins/inspect.stamp:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.3.2

2014-05-21 12:19:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-05-21 10:51:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 211fa5f to 1f5d3c3

2014-05-20 08:23:06 +0200  Edward Hervey <edward@collabora.com>

	* ext/vpx/gstvp8enc.c:
	  vp8enc: Don't dereference NULL variable
	  CID #1139838

2014-05-20 08:20:42 +0200  Edward Hervey <edward@collabora.com>

	* ext/vpx/gstvp9enc.c:
	  vp9enc: Don't dereference NULL checks
	  CID #1197703

2014-05-19 11:26:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Explicitly cast enum "subtype" to its "supertype"
	  gstv4l2bufferpool.c:608:18: error: implicit conversion from enumeration type
	  'enum _GstV4l2BufferPoolAcquireFlags' to different enumeration type
	  'GstBufferPoolAcquireFlags' [-Werror,-Wenum-conversion]
	  params.flags = GST_V4L2_POOL_ACQUIRE_FLAG_RESURECT;
	  ~ ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

2014-05-19 11:24:06 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/goom/tentacle3d.c:
	  goom: Use fabs() instead of abs() to calculate the floating point absolute value
	  tentacle3d.c:268:7: error: using integer absolute value function 'abs' when
	  argument is of floating point type [-Werror,-Wabsolute-value]
	  if (abs (tmp - fx_data->rot) > abs (tmp - (fx_data->rot + 2.0 * G_PI))) {
	  ^

2014-05-19 11:21:36 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/debugutils/tests.c:
	  debugutils: Properly calculate the difference with unsigned types
	  tests.c:161:16: error: taking the absolute value of unsigned type
	  'unsigned long' has no effect [-Werror,-Wabsolute-value]
	  t->diff += labs (GST_BUFFER_TIMESTAMP (buffer) - t->expected);

2014-05-16 17:46:30 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Handle flush while in start_streaming
	  We need to handle the case where a flush occure while the streaming
	  thread is being brought up. In this case, the flushing state of the poll
	  object is cleared. To solve this, we simply set the capture poll to flushing
	  again, this way we know the thread will exit. The decoder streamlock
	  is used to synchronize with handle frame.

2014-05-16 16:44:37 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Don't trace twice the same message

2014-05-15 11:25:50 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: always use a random ssrc for the internal session
	  Use a random SSRC different than 0 for the internal session SSRC.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730212

2014-05-16 16:52:25 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: update last_activity when sending RTP
	  Also update last_activity when doing something with the internal
	  source to make sure don't timeout early.
	  See https://bugzilla.gnome.org/show_bug.cgi?id=730217

2014-05-15 18:08:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2: Cleanup M2M properties
	  M2M devices were sharing the same properties as src and sink. Most of
	  these made no sense. This patch reduces the number of propeties and
	  makes io-mode clearer by having capture-io-mode and output-io-mode. This
	  also accidently fixed a bug in gstv4l2transform io-mode code, where the
	  capture io-mode could not be set.
	  https://bugzilla.gnome.org/show_bug.cgi?id=729591

2014-05-15 17:39:39 +0200  Benjamin Gaignard <benjamin.gaignard@linaro.org>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Update pool limit with hardware requiremenst
	  If the driver need more buffers than requested by the config,
	  update the pool min/max values. The minimum value for the pool
	  could be provided either by the driver or by the pool. This is
	  best effort for drivers that don't support
	  CID V4L2_CID_MIN_BUFFERS_FOR_CAPTURE.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730200

2014-05-15 10:44:29 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Handle start_streaming error
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-15 10:39:40 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Print the flow return causing the loop to leave
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-15 10:31:40 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Don't lock the decoder when stopping task
	  That src pad task may need to take the lock when being pulled
	  down. takeing that lock can lead to a deadlock.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-14 17:18:52 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Don't leak pool if activation failed
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-14 17:18:35 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2: Split flush in start/stop_streaming
	  This allow calling start streaming later for capture device. Currently it breaks
	  in dmabuf-import because downstream is holding a buffer that will only be
	  released after stream-start.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-14 15:12:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Flush buffer pools on flush stop
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-14 13:28:31 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Fix use of atomic active marker
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-14 13:05:42 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Don't deactivate otherpool
	  We should not stop the otherpool unless we also stop our own
	  pool, otherwise it will never get restarted.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-14 12:33:58 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Also update num_buffers for import cases
	  https://bugzilla.gnome.org/show_bug.cgi?id=730207

2014-05-14 13:42:25 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: update rtp encoder/decoder docs
	  Use %u in RTP encoder/decoder pads to match other rtpbin pads.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730146

2013-12-27 11:55:18 +0200  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* tests/check/elements/rtpsession.c:
	  tests/check: rtpsession: test internal sources timing out

2013-12-26 17:30:42 +0200  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: remove unused if branch
	  1) sources that have sent BYE in the past cannot be senders, since
	  they would have timed out to being receivers in the meantime...
	  2) sources that have sent BYE are now being removed earlier inside
	  this function

2013-12-26 17:29:42 +0200  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: cleanup sources that have sent BYE

2013-12-26 17:24:51 +0200  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: unify nested if clauses

2013-12-26 17:21:44 +0200  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: timeout internal sources that are inactive for a long time and send BYE

2014-05-13 12:25:04 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtpmanager/rtpjitterbuffer.c:
	  rtpjitterbuffer: don't stop looping if event found in the queue
	  If we are inserting a packet into the jitter queue we need to keep
	  looping through the items until the right position is found. Currently,
	  the code stops as soon as an event is found in the queue.
	  Regarding events, we should only move packets before an event if there
	  is another packet before the event that has a larger seqnum.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=730078

2014-04-17 13:04:00 +0000  Adrien SCH <adrien.schwartzentruber@gmail.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: fix the memory leak of language attribute
	  https://bugzilla.gnome.org/show_bug.cgi?id=728418

2014-05-13 13:44:20 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fix regression in offset extrapolation
	  When extrapolating the offset, we need to use the extrapolate
	  stride rather then the base stride. This should fix support for format
	  with more then two planes (I420, Y42B, etc).

2014-05-12 18:03:18 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: Use default VideoInfo for frame operation
	  When doing frame operation, we need to use the default VideoInfo
	  and let the frame API read the video meta in order to get the stride
	  and offset right. Currently we where using the specialized VideoInfo
	  which reflects what the HW is setup to.

2014-05-12 17:23:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2src: minor GValue handling optimisation in probing code

2014-05-12 17:20:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2src: avoid lists with one single framerate in probed caps
	  Simplify framerate field if possible, so we don't end up with
	  e.g. framerate = (fraction) { 30/1 }. Maybe the helper function
	  should be moved to core, but we can do this later.

2014-05-12 16:56:35 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Fix leak of palette_data in error cases
	  CID #1212151

2014-05-12 16:53:32 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/isomp4/gstqtmux.c:
	  qtmux: Free node_header in error cases
	  CID #1212134

2014-05-12 13:46:01 +0200  Edward Hervey <edward@collabora.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Don't use WARNING for not-linked flow return
	  Pollutes debug logs for no reason. It's only an error if all pads
	  return not-linked

2014-05-12 13:45:06 +0200  Edward Hervey <edward@collabora.com>

	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvdemux.h:
	  flvdemux: Skip unknown tags in push-mode
	  We add a new mode (SKIP) in push-mode to skip tags that we don't known about
	  Partially fixes https://bugzilla.gnome.org/show_bug.cgi?id=670712

2014-05-10 09:14:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/flac/gstflacdec.c:
	  flacdec: Add support for variable block size files and remove dead code
	  This dead code wasn't used since the 1.0 port and would need to
	  be modified heavily for variable block size support.
	  https://bugzilla.gnome.org/show_bug.cgi?id=729894

2014-05-09 12:14:23 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Fix NULL check copy paste error
	  CID 1212129

2014-05-09 12:11:54 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Fix potential deadlock due to missing break
	  CID 1212131

2014-05-09 18:01:28 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* tests/check/elements/rtpjitterbuffer.c:
	  rtpjitterbuffer: increment accepted packets after loss
	  When we detect a lost packet, expect packets with higher
	  seqnum on the input.
	  Also update the unit test.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=729524

2014-05-04 11:12:54 -0600  Jason Litzinger <jlitzingerdev@gmail.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* tests/check/elements/rtpjitterbuffer.c:
	  Add new test case.

2014-05-09 16:14:21 +0200  Wim Taymans <wtaymans@redhat.com>

	* tests/check/elements/shapewipe.c:
	  shapewipe: no need to activate pads
	  Activation will happen in the state change

2014-05-09 12:10:04 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Don't leak config structure
	  this fixes a leak of the config structure and take care of making sure
	  caps can't reach ref 0 before we are done doing our check.
	  CID 1212144

2014-05-09 12:08:11 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Remove uneeded cast for code clarity

2014-05-09 11:56:52 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2pool: Fix leak of config structure in error case
	  CIDs 1212167 and  1212167

2014-05-09 11:51:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fix use of unitilized pool pointer
	  CID #1212173

2014-05-09 16:48:58 +0200  Eric Trousset <etrousset@awox.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: don't respond to a position query in BYTE format with a TIME position
	  https://bugzilla.gnome.org/show_bug.cgi?id=729553

2014-05-09 14:22:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-read-common.c:
	  matroskademux: don't leak doctype string in error code path
	  CID 1212145.

2014-05-06 13:37:47 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Readback pool config if used within the baseclass

2014-05-06 12:58:59 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2src.c:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2: Replace miss-use of crop meta in favour of proper offset
	  This moves away from copying information and store everything inside
	  the GstVideoInfo structure. The alignement exposed by v4l2 api
	  is now handled using proper offset.

2014-05-06 12:55:30 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2object.h:
	  v4l2object: Style fix

2014-05-05 12:38:33 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Reset imported buffer size with expected size
	  This ensure that the buffer pool won't always discard buffer with these
	  memory when they are released.

2014-05-05 12:37:43 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Reset flushed group
	  This ensure that a flushed group memory are the same size as when they
	  where originally allocated / imported.

2014-05-05 12:07:31 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: Get number of allocated buffers from allocator
	  The value of num_allocated buffer would get confused when
	  buffer are being discarded.

2014-05-05 12:06:44 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	  v4l2allocator: Add a method to read number of allocated group

2014-05-04 20:23:42 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Improve debugging

2014-05-04 19:51:48 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: Ensure we don't re-enqueue buffer during flush

2014-05-04 19:13:37 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Initilialize debug category

2014-05-04 16:11:09 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Fix libv4l2 support
	  Need to include config.h, otherwise we endup directly using the
	  ioct/mmap/munmap calls and need to vall v4l2_munmap.

2014-05-01 13:04:08 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Set the flags on the object
	  We where not setting the probed flags on the allocator, which mean even if
	  CREATE_BUFS was supported on some driver, it would endup being ignored.

2014-04-29 16:49:52 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Re-enqueue buffer at stream start

2014-04-29 16:06:00 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: There is not group on error

2014-04-29 14:56:31 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Handle FLUSH_STOP event

2014-04-29 13:05:41 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2sink.c:
	* sys/v4l2/gstv4l2src.c:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2bufferpool: Acquire cannot return a buffer from another pool
	  Return a buffer from an otherpool has unwanted side effects that lead to leaks and
	  prevents deactivating the pool. Instead, we change the _process() API so it can
	  replace the internal buffer with the buffer from the downstream pool. This implied
	  moving from _fill() to _create() method in the src.

2014-04-29 13:00:32 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Remove unreached acquire code
	  The acquire is done in _prepare now.

2014-04-29 12:57:08 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Sanetize buffer refount handling
	  Buffer refcounting is a bit hard, because of the duality between CAPTURE and
	  OUTPUT mode. In the long term, we should consider having two seperate pool
	  instead of this mess. At least state should be better kept this way.

2014-04-29 12:48:04 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Add more traces

2014-04-28 08:48:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	  v4l2-allocator: Add S to REQBUFS/CREATE_BUFS enum
	  All enum that has REQBUFS and CREATE_BUFS where missing S, which was
	  confusing since they are supposed to match with associcated ioctl name. This
	  also fixes the yet unused CAN_REQUEST flag check.

2014-04-18 17:51:07 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Enabled QoS

2014-04-18 17:02:50 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2: Fixup USERPTR/DMABUF capture support

2014-04-18 14:45:00 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Improve selecton of min/max in decide allocation

2014-04-18 13:09:00 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Update config if meta is missing
	  Rather then hard failure, we should update the config with the meta option we
	  need and return false.

2014-04-11 17:10:11 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	  v4l2: Add DMABUF and USERPTR importation

2014-04-17 21:45:58 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Valid FD are bigger or equal to zero

2014-04-16 17:04:42 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Don't leak downstream pool in propose_allocation
	  parse_nth_allocation_pool() give a ref on the pool, we need to unref it
	  when done.

2014-04-14 12:19:39 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	  v4l2: Introduce DMABUF_IMPORT IO mode

2014-04-10 16:26:34 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2: Add dmabuf export support
	  This can be enabled sing io-mode=dmabuf. This will enabled mmap base
	  drivers to export the buffers as dmabuf.

2014-04-16 15:51:03 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Guaranty queued state integrety
	  Because of the buf in videobuf2, dqbuf may leave the DONE flag being,
	  which would implied that the buffer is queued. As this has been broken
	  for 4 years, simply guaranty the state flags integrity when doing
	  qbuf/dqbuf.
	  See https://patchwork.linuxtv.org/patch/23641/

2014-04-15 17:31:42 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Implement open/close

2014-04-15 16:43:41 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Ensure output pool is configured

2014-04-15 16:43:15 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2transform.h:
	  v4l2transform: Check if caps have changes before asserting
	  In set_caps, now checks if caps actually changed and succeed if they didn't
	  change.

2014-04-15 16:41:46 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Ensure pool is configured

2014-04-08 18:54:09 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Always set a size when deciding allocation

2014-04-08 18:20:25 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Improved decide allocation
	  Improve decide allocation so it properly configure both local and downstream
	  buffer pools. Also read back the pool config if it was changed to to driver
	  limitations.

2014-04-15 13:30:02 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Do not pre-configure the pool
	  Pre-configuring the pool is error prone, since it may hide a configuration failure and
	  endup with a pool that is not configured the way it should (e.g. no video meta, wrong
	  queue size, etc.)

2014-04-15 13:23:33 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Preserve downstream minimum even in RW

2014-04-15 13:20:12 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: Turn cropmeta into a custom option
	  Turn crop meta into a custom option and make sure it's there is needed.

2014-04-09 12:53:19 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2bufferpool: Early catch short allocation
	  Catch short allocation after saving the format. This is not a catch all, but should catch
	  most of the miss-behaving drivers when doing S_FMT/G_FMT and avoid potential crash.

2014-04-04 22:46:40 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: Port to use GstV4l2Allocator

2014-04-04 22:35:48 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/Makefile.am:
	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	* sys/v4l2/v4l2_calls.h:
	  Implement V4l2 Allocator
	  This goal of this allocator is mainly to allow tracking the memory.
	  Currently, when a buffer memory has been modified, the buffer and it's
	  memory is disposed and lost until the stream is restarted.

2014-04-16 16:35:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Don't advertise crop meta
	  Currently we advertise crop meta, but not element handle support this meta.

2014-04-08 18:18:57 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Setup pool already send element error

2014-04-08 18:17:31 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Workaround decoder that set num_planes to 0 in the format
	  Some well known decoder wrongly set num_planes to 0 in their format instead of
	  one. In this case we would endup with no size when deciding buffer allocation.

2014-04-08 17:34:19 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Ensure size before configuring the pool

2014-04-04 22:38:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.h:
	  v4l2object: Set minimum buffers to 2
	  All the element requires at least two buffers. This is not used for RW mode.

2014-04-04 22:37:14 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.h:
	  v4l2object: Remove unused MAX_BUFFERS define

2014-04-04 22:36:37 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Don't hardcode min/max use default instead

2014-04-10 17:49:41 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Install PROP_CAPTURE_IO_MODE with right ID

2014-04-08 18:54:50 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: decide_allocation returns a boolean

2014-04-10 17:49:29 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Install PROP_CAPTURE_IO_MODE with right ID

2014-03-27 13:21:25 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Add propose_allocation
	  This should remove 1 copy between the decoder and the transform.

2014-03-27 13:20:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2sink.c:
	  v4l2: Move propose allocation to v4l2object

2014-03-20 17:26:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Fixup caps query

2014-03-20 15:31:22 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Setup cropping if needed

2014-03-19 17:25:16 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2.c:
	  v4l2transform: Expose BGRA and ARGB formats

2014-03-18 17:33:38 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Ensure output pool is activated
	  That pool may be different then the internal pool.

2014-03-16 19:11:16 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Ensure internal buffer pools actication

2014-03-16 11:36:19 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Move subinstance subclass init near other init

2014-03-15 18:56:51 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Stop stream before closing the devices.

2014-03-15 16:53:54 +0000  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: copy metdata

2014-03-04 18:31:27 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/Makefile.am:
	* sys/v4l2/gstv4l2.c:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2transform.h:
	  Implement GstV4l2Transform
	  Implement a v4l2 element that wraps HW video converters.

2014-03-27 18:41:07 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	  v4l2: Probe for CREATE_BUFS in order to correctly set pool min/max
	  In order to correctly set the pool min/max, we need to probe for CREATE_BUFS
	  ioctl. This can be done as soon as the format has been negotiated using a
	  count of 0.

2014-03-25 15:21:03 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2: Move capture eos handling in _process()
	  Now that we might be copying out buffer (e.g. downstream don't support video
	  meta bug we need it) we need to move the EOS handling inside the process
	  method.

2014-03-25 10:49:39 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fix support for planar format in 1 v4l2 mplane
	  So far we where only setting saving the first plane stride in the meta. This was
	  leading to wrong values in GstVideoMeta.

2014-03-19 17:52:08 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Cleanly fail if set_format is never called

2014-03-19 17:00:56 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/v4l2_calls.c:
	  v4l2: Expose RGB32 formats with and without alpha
	  As soon a the alpha component can be set, we can expose the RGB32 and BGR32
	  format as ARGB and BGRA as long we can deterministically set the alpha padding
	  value.

2014-03-18 15:49:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2object.c:
	  v4l2: Correctly check if video meta is needed
	  Correctly check if video meta is needed. In buffer pool, trust need_video_meta
	  flag in order to decide if configuration should succeed.

2014-03-18 15:45:18 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fix tiled stride request
	  Fix stride request for tiled format and improve logging.

2014-03-18 11:53:57 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Ensure video and crop meta are enabled if needed
	  In certain cases we cannot live without video meta and/or crop meta
	  being enabled in our internal buffer pool. Ensure this is always the case,
	  regardless of having support for allocation query.

2014-03-16 18:39:32 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Ensure internal pool are activated

2014-03-16 17:01:10 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Check that pool where allocated before flushing them
	  Upon error, the pools might not have been allocated yet, hence we should not
	  try and flush them (even though we still want to make sure the processing thread
	  is fully stopped).

2014-03-16 16:55:43 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2sink.c:
	  v4l2bufferpool: Enforce activation outside of process
	  Enforce pool being activate from before calling pool process. This should
	  help catching basic errors in the usage of buffer pool.

2014-03-16 12:44:14 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: don't use own pool if downstream don't support video meta

2014-03-14 00:31:32 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Use obj->n_v4l2_planes for correct number of planes
	  Buffer pool was guessing wrongly the number of planes rather
	  then reading the value from obj->n_v4l2_planes. This was causing
	  format YU12 (I420) to fail upon check.

2014-03-07 16:39:29 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fix handling of contiuous vs non-contiguous support
	  The complex mechanic to try and choose the right thing did not work. Instead,
	  simply probe the non-contiguous format first and then the contiguous one.
	  This is in fact very low overhead, as there is a relatively small number of
	  pixel format supported by each devices.

2014-04-15 15:07:23 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2videodec.h:
	  v4l2: Add initial support for alignment and cropping

2014-03-13 19:24:51 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2object: Rename setup_format() method into acquire_format()
	  The setup_format() was confusing since it does not set anything, in fact
	  it reads the setup from the driver and save it.

2014-03-13 18:21:41 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Move type declaration to the top

2014-03-12 18:07:38 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Protect NULL pool while going to READY
	  When the pipeline fails early, the pool might be unset before the processing
	  thread has run once. Add protection against that.

2014-03-12 18:01:09 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fail cleanly if pixel format is unkown or not raw video
	  Certain decoder has been found to not choose a format automatically. Running
	  v4l2videodec on these would assert. This patch will make it fail cleanly
	  instead.

2014-03-12 17:56:18 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Clear the input state pointer after unref
	  If caps are set again, we have a risk od returning from set_format with a
	  input_state pointing to dead memory. Clearing the pointer after unref fix
	  this issue.

2014-03-12 17:11:16 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: handle stop being called without flush
	  Uppon certain downstream error, stop() is called without a flush(). This mean that
	  the streaming thread may still be running even though unlock has been called.
	  Now calling flush to reset the decoder state if we are processing.

2014-03-06 18:13:14 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Default to template in caps query

2014-03-11 14:23:32 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Ensure processing thread has stopped when draining

2014-03-11 14:01:27 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Don't drain if processing thread is inactive

2014-05-08 09:49:24 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Clean up all pending operations from libsoup before unreffing our context
	  When we cancel connection attempts and similar things, there are still
	  some operations pending on our main context from the GCancellables. We
	  should let them all run before unreffing our context, otherwise we leak
	  file descriptors.
	  Unfortunately this requires libsoup 2.47.0 or newer as earlier versions
	  steal our main context from us and we can't use it for cleanup later
	  without assertions and funny crashes.
	  Based on a patch by Dmitry Shatrov <shatrov@gmail.com>.
	  https://bugzilla.gnome.org/show_bug.cgi?id=663944

2014-05-07 15:49:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: fix compilation of souphttpsrc test for libsoup 2.40 for real
	  https://bugzilla.gnome.org/show_bug.cgi?id=727329

2014-05-07 13:23:50 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: fix compilation of souphttpsrc test for libsoup 2.40
	  SOUP_CHECK_VERSION was only added in 2.41, but we only
	  depend on 2.40.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727329

2014-05-07 00:58:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: skip PICTURE headers without any image data
	  Fixes warning if the image length is 0.

2014-05-06 09:22:18 +0000  Руслан Ижбулатов <lrn1986@gmail.com>

	* configure.ac:
	  configure: use X11 detection macro from common
	  https://bugzilla.gnome.org/show_bug.cgi?id=729621

2014-04-30 11:13:12 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/rtp/README:
	  rtp/README: update pipelines to work with 1.0
	  - Use gst-libav encoders/decoders instead of gst-ffmpeg
	  - gstrtpjitterbuffer -> rtpjitterbuffer
	  - gst-launch-0.10 -> gst-launch-1.0
	  - Add 'videoconvert' element
	  - xvimagesink -> autovideosink
	  https://bugzilla.gnome.org/show_bug.cgi?id=729247

2014-05-05 14:41:05 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/ebml-write.c:
	  matroska: rejig test to avoid undefined shift behavior
	  Coverity 1195121, 1195120

2014-05-05 14:33:38 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/vpx/gstvp9enc.c:
	  vp9enc: do not dereference NULL pointer
	  Coverity 1197703

2014-05-05 14:32:06 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-mux.c:
	  matroskamux: ensure we don't dereference a NULL pointer
	  while working out the codec ID.
	  Coverity 1195148

2014-05-05 12:07:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2.c:
	  v4l2: minor fix for closing the fd
	  The fd returned by open() could theoretically be 0 as well.
	  Coverity CID 1211823.

2014-05-04 20:23:29 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* tests/check/elements/rtpaux.c:
	* tests/check/elements/rtprtx.c:
	  rtpaux/rtprtx: Make tests non-racy
	  Fix the raciness by iterating on a condition instead of using the gmainloop.
	  Don't use the EOS as the target, otherwise the retransmission of the last
	  packets are lost. Also count the retranmissions requests that are dropped.
	  Check the condition before blocking on the GCond
	  https://bugzilla.gnome.org/show_bug.cgi?id=728501

2014-05-04 22:32:54 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/rtpmanager/gstrtprtxreceive.c:
	* gst/rtpmanager/gstrtprtxreceive.h:
	  rtprtxreceive: Wait until timeout to clear association requests
	  If two streams request a retranmission for the same SSRC, ignore the second
	  one if the first oen is less than one second old, otherwise time out the first
	  one and ignore the second.

2014-05-04 18:59:33 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/rtpmanager/gstrtpmux.c:
	* tests/check/elements/rtpmux.c:
	  rtpmux: Always let upstream chose the ssrc if it wishes

2014-05-04 13:37:46 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: avoid stall by corrupted seqnum accounting

2014-05-04 01:14:33 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* ext/pulse/pulsedevicemonitor.c:
	* ext/pulse/pulsedevicemonitor.h:
	  pulsedevicemonitor: Index are per facility, not global
	  So need to keep the type of device in the device object

2014-05-04 01:13:24 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* ext/pulse/pulsedevicemonitor.c:
	  pulsedevicemonitor: pa_subscription_event_t are enums, not flags
	  Coverity 1195132

2014-05-02 22:42:54 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2devicemonitor.c:
	  v4l2devicemonitor: Port to use GstV4l2Iterator
	  https://bugzilla.gnome.org/show_bug.cgi?id=727925

2014-05-02 21:38:30 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2.c:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/gstv4l2videodec.h:
	  v4l2: Use single pass iterator for M2M probe
	  Instead of having each M2M class do their own probing, use the
	  GstV4l2Iterator and probe all devices in a single pass.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727925

2014-05-02 16:55:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/Makefile.am:
	* sys/v4l2/v4l2-utils.c:
	* sys/v4l2/v4l2-utils.h:
	  v4l2: Add a common device enumerator
	  This will allow removing code duplication (hence bugs duplication).
	  https://bugzilla.gnome.org/show_bug.cgi?id=727925

2014-03-16 11:38:07 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/gstv4l2videodec.h:
	  v4l2videodec: Simplify sub-instanciation mechanism
	  Simplify sub-instanciation by defining an absract type and using subtype
	  class and instance init callback. This also fixes a bug where the template
	  pads get initialized too late.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727925

2014-05-02 18:18:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2.c:
	  v4l2: Cleanup plugin registration
	  There is no plan to introduce special sources for jpeg, te v4l2src works fine
	  for this.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727925

2014-05-03 18:30:20 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpsession.h:
	* gst/rtpmanager/rtpsource.c:
	* gst/rtpmanager/rtpsource.h:
	* tests/check/elements/rtpcollision.c:
	  rtpsession: Keep local conflicting addresses in the session
	  As we now replace the local RTPSource on a conflict, it's no longer possible
	  to keep local conflicts in the RTPSource, so they instead need to be kept
	  in the RTPSession.
	  Also fix the rtpcollision test to generate multiple collisions instead of
	  one by change the address, as otherwise we detected that it was a single one.

2014-05-03 20:48:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.1 ===

2014-05-03 18:02:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.interfaces:
	* docs/plugins/gst-plugins-good-plugins.prerequisites:
	* docs/plugins/gst-plugins-good-plugins.signals:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* gst/audiofx/audiopanoramaorc-dist.c:
	* gst/deinterlace/tvtime-dist.c:
	* gst/videobox/gstvideoboxorc-dist.c:
	* gst/videomixer/videomixerorc-dist.c:
	* win32/common/config.h:
	  Release 1.3.1

2014-05-03 18:02:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-05-03 17:22:45 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/hu.po:
	* po/id.po:
	* po/lv.po:
	* po/nb.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sr.po:
	* po/zh_CN.po:
	  po: Update translations

2014-05-03 11:43:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/shapewipe.c:
	  shapewipe: Send initial events after setting the elements to PLAYING
	  Otherwise we send them too early, and setting the elements to PLAYING
	  afterwards will drop all the events again.

2014-05-03 10:15:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From bcb1518 to 211fa5f

2014-05-02 17:12:29 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: Set segment position to the stop position of the buffer

2014-05-02 17:10:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: Properly report errors before stopping the srcpad task

2014-05-02 17:02:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: Error out if we have no caps yet

2014-05-02 14:49:27 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/wavparse/gstwavparse.c:
	  wavparse: avoid dividing by a 0 blockalign
	  This can be 0. In that case, do not try to cut off the last few
	  bytes from the last buffer.
	  Coverity 1146971

2014-05-02 14:25:01 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-mux.c:
	  matroskamux: do not use uinitialized clut on error
	  If we're missing part of the clut, do not try to use it. It seems
	  very likely the break was meant to break out of the switch rather
	  than from the loop.
	  Coverity 1139878

2014-05-02 14:18:08 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/flx/gstflxdec.c:
	  flxdec: fix integer overflow
	  Coverity 1139859

2014-05-02 14:09:02 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtpqdmdepay.c:
	  rtpqdmdepay: remove pointless check
	  Besides, the pointer was dereferenced earlier anyway.
	  Coverity 1139853

2014-05-02 14:06:25 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: remove duplicate test
	  item was dereference previously.
	  While there, reorder some test for faster early out.
	  Coverity 1139844

2014-05-02 14:02:52 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/vpx/gstvp8enc.c:
	  vp8enc: guard against NULL pointer dereference
	  Coverity 1139838

2014-05-02 13:59:07 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/flac/gstflacdec.c:
	  flacdec: fix theoretical integer overflow
	  This code isn't actually used at the moment, unsure if I should
	  just remove it or not...
	  Coverity 1139811

2014-05-02 13:33:02 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/ebml-write.c:
	  matroska: blindly fix writing variable length negative values
	  Spotted while fixing something else in the area.
	  Nothing calls this with a negative value.

2014-05-02 13:29:33 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/ebml-write.c:
	  matroska: do not lose the top bits when writing a > 32 bit value
	  Coverity 1139806

2014-05-02 12:10:26 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/videofilter/gstvideoflip.c:
	  videoflip: add missing break in switch
	  Coverity 1139755

2014-05-02 11:39:39 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-parse.c:
	  matroska: do not try to call gst_pad_query_default on a NULL pad
	  gst_matroska_parse_query can be called explicitely with a NULL pad.
	  If we reach this point with a NULL pad, fail the query.
	  Coverity 1139715

2014-05-02 11:28:01 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-parse.c:
	  matroska: do not return GST_FLOW_OK if we did not get a buffer
	  Coverity 1139714 (which will likely come back in another guise,
	  as the _read_init call can have a failing _map)

2014-05-02 11:20:33 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/ebml-write.c:
	  matroska: catch failure to map buffer
	  Avoids dereferencing NULL.
	  Coverity 1139712

2014-05-02 10:52:44 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/avi/gstavimux.c:
	  avimux: refuse caps with invalid framerate
	  Coverity 1139701

2014-05-02 10:21:09 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/gstqtmux.c:
	  qtmux: handle 0 size packets without dividing by 0
	  Coverity 1139691

2014-05-02 09:49:32 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/qtdemux.c:
	  qtdemux: guard against invalid frame size to avoid division by 0
	  Coverity 1139690

2014-05-02 09:49:17 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/qtdemux.c:
	  qtdemux: trivial typo fix

2014-05-02 09:43:54 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/speex/gstspeexdec.c:
	  speexdec: remove dead code
	  fpp can never equal 0 here, or the loop would not execute at all.
	  Zero fpp was possible before as the loop condition was allowing
	  it specifically, but no more.
	  Coverity 1139681

2014-05-02 09:41:19 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/oss4/oss4-property-probe.c:
	  oss4: remove dead mixer code
	  This was partly removed in the port to 0.11. If still needed,
	  it's still there in the history.
	  Coverity 1139687

2014-05-02 09:33:51 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/oss4/oss4-property-probe.c:
	  oss4: fix a missing unlock and a return-only-when-assertions-enabled
	  Spotted on the side while looking at another issue.

2014-03-07 17:31:29 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: Correctly map RGB32 format
	  In v4l2 specification, RGB32 has the alpha, or pading, first, not last.
	  See http://linuxtv.org/downloads/v4l-dvb-apis/packed-rgb.html .
	  https://bugzilla.gnome.org/show_bug.cgi?id=540941

2014-04-30 18:06:40 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/flac/gstflacdec.c:
	  flacdec: remove dead code
	  For 8 bit width, we always have depth==gdepth==width==8.
	  Coverity 1139678

2014-04-30 17:48:53 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/audioparsers/gstmpegaudioparse.c:
	  mpegaudioparse: remove dead code
	  A stricer check is already done earlier, and integer overflows
	  do not seem possible here.
	  Coverity 1139675

2014-04-30 14:50:44 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtpvrawpay.c:
	  rtpvrawpay: guard against pathological "no space" condition
	  Even if one woul hope one pixel can fit in a MTU, ensure we do not
	  overwrite a buffer if this is not the case.
	  Spotted while looking at Coverity 1208786

2014-04-30 11:52:10 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtpjpegdepay.c:
	  rtpjpegdepay: sanity check for NULL qtable
	  Can happen (at least in crafted stream)
	  Coverity 1208778

2014-04-30 01:08:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: pass on tags from upstream if there are any
	  Don't just ignore upstream tags from e.g. an ID3 tag before
	  the .wav data, pass them on downstream.
	  https://bugzilla.gnome.org/show_bug.cgi?id=729223

2014-04-29 16:26:53 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: optimize timer update
	  When we are not doing retransmission, we just need to find the current
	  seqnum so we can stop when we found it.

2014-04-29 16:21:44 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* gst/rtpmanager/gstrtpjitterbuffer.h:
	  rtpjitterbuffer: small optimizations
	  Small optimizations where we can.
	  Add some more debug.

2014-04-29 16:16:17 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: signal when next_seqnum changed
	  Signal the pushing thread when the next_seqnum changed and we might be
	  able to push a buffer now.

2014-04-29 16:12:29 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: only signal event when head changed
	  After adding a buffer, only signal the pushing thread when the head
	  buffer changed or else we cause a useless wakeup.

2014-04-29 15:29:31 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/rtpjitterbuffer.c:
	* gst/rtpmanager/rtpjitterbuffer.h:
	  rtpjitterbuffer: rework packet insert
	  Rework the packet queue so that the most common action (insert a packet
	  at the tail of the queue) goes very fast.
	  Report if a packet was inserted at the head instead of the tail so that
	  we can know when to retry _pop or _peek.

2014-04-28 14:41:10 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtp/gstrtpvrawdepay.c:
	* gst/rtp/gstrtpvrawpay.c:
	  rtpvraw: use plane pointers when needed
	  Pack/unpack planar formats to/from the first plane.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=729058

2014-04-28 09:47:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	  souphttpsrc: Remember if a redirect is permanent or not and store it in the query

2014-04-27 21:57:31 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* gst/goom/config_param.c:
	  goom: Remove french comment saying to prefix functions
	  All non-static function in this file are already prefixed with goom_.

2014-04-28 00:20:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/goom/filters.c:
	  goom: fix compilation on ios-arm7-10.9 and osx-x86_64
	  uint is not a standard type, and the rest of the code uses
	  Uint which is locally typedefed to unsigned int.
	  https://bugzilla.gnome.org/show_bug.cgi?id=729067

2014-04-27 18:29:11 -0400  Luis de Bethencourt <luis@debethencourt.com>

	* gst/goom/filters.c:
	  goom: fix undefined behaviour of left-shift
	  Don't left-shift into the sign bit, the result is undefined and potentially
	  an overflow could flip the sign.

2014-04-26 20:51:36 -0400  Luis de Bethencourt <luis@debethencourt.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: check return from qt_demux_video_caps
	  Now qtdemux_video_caps() can return NULL. We need to check this return before
	  using it's value.
	  https://bugzilla.gnome.org/show_bug.cgi?id=728987

2014-04-26 23:35:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/dv/gstdvdec.c:
	* ext/dv/gstdvdemux.c:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	* ext/speex/gstspeexdec.c:
	* gst/avi/gstavidemux.c:
	* gst/avi/gstavisubtitle.c:
	* gst/isomp4/gstqtmoovrecover.c:
	* gst/isomp4/gstqtmux-doc.c:
	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/qtdemux.c:
	* gst/multifile/gstmultifilesink.c:
	* gst/rtp/gstrtpL16depay.c:
	* gst/rtp/gstrtpL16pay.c:
	* gst/rtp/gstrtpac3depay.c:
	* gst/rtp/gstrtpac3pay.c:
	* gst/rtp/gstrtpamrdepay.c:
	* gst/rtp/gstrtpamrpay.c:
	* gst/rtp/gstrtpbvdepay.c:
	* gst/rtp/gstrtpbvpay.c:
	* gst/rtpmanager/gstrtpbin.c:
	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* gst/rtpmanager/gstrtpmux.c:
	* gst/rtpmanager/gstrtpptdemux.c:
	* gst/rtpmanager/gstrtprtxreceive.c:
	* gst/rtpmanager/gstrtpsession.c:
	* gst/rtpmanager/gstrtpssrcdemux.c:
	* gst/rtsp/gstrtpdec.c:
	* gst/rtsp/gstrtspsrc.c:
	* gst/spectrum/gstspectrum.c:
	* gst/udp/gstudpsrc.c:
	* gst/videofilter/gstgamma.c:
	* gst/videofilter/gstvideobalance.c:
	* gst/videofilter/gstvideoflip.c:
	* gst/wavparse/gstwavparse.c:
	* sys/osxaudio/gstosxaudiosink.c:
	  docs: remove outdated and pointless 'Last reviewed' lines from docs
	  They are very confusing for people, and more often than not
	  also just not very accurate. Seeing 'last reviewed: 2005' in
	  your docs is not very confidence-inspiring. Let's just remove
	  those comments.

2014-04-25 17:58:42 -0400  Luis de Bethencourt <luis@debethencourt.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: initialize caps pointer to null
	  Make sure the caps pointer returns initialized when using it in
	  qtdemux_parse_tree ().
	  https://bugzilla.gnome.org/show_bug.cgi?id=728987

2014-04-22 17:07:38 +1000  Jan Schmidt <jan@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Clear last_pt on flush-stop.
	  Otherwise, we don't recheck the buffer caps for clock-rate
	  properly on the next chain.

2014-04-22 17:29:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: Fix compiler warning
	  gstdeinterlace.c: In function 'gst_deinterlace_output_frame':
	  gstdeinterlace.c:1537:57: error: 'pattern.length' may be used uninitialized in this function [-Werror=maybe-uninitialized]
	  This actually is always initialized before it is used there, but
	  let's just silence gcc here.

2014-04-21 15:58:45 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtpmanager/gstrtpmux.c:
	  rtpmux: fix buffer list drop check
	  While porting to 0.11, the check was mistakenly made constant,
	  instead of testing for the return value of process_buffer_locked.
	  Coverity 1139663

2014-04-21 13:44:15 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-read-common.c:
	  matroska: fix content encoding scope validity check
	  It's 3 bits, and http://matroska.org/technical/specs/index.html
	  says it can't be 0.
	  Coverity 1139660

2014-04-21 13:34:37 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-mux.c:
	  matroskamux: fix PAR fraction sanity check
	  It was checking par_num twice, and never par_denum.
	  Coverity 1139634

2014-04-21 13:32:40 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/udp/gstmultiudpsink.c:
	  multiidpsink: warn when setsockopt fails
	  This doesn't seem to be fatal, but it's good to let the user know
	  in the logs.
	  Coverity 1139630

2014-04-21 13:27:24 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/interleave/deinterleave.c:
	  interlace: catch failure to create audio info from caps
	  Coverity 1139627, 1139628

2014-03-13 09:37:48 +0100  Göran Jönsson <goranjn@axis.com>

	* gst/rtp/gstrtph264pay.c:
	  gstrtph264pay: Reset sps pps variable when state change.
	  Reset last_spspps and sps/pps arrays  when state transition
	  GST_STATE_CHANGE_PAUSED_TO_READY.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=726015

2014-04-18 11:11:14 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* gst/rtpmanager/rtpjitterbuffer.c:
	* gst/rtpmanager/rtpjitterbuffer.h:
	  jitterbuffer: improve EOS handling
	  Make a new method to disable the jitterbuffer buffering.
	  Rework the update_estimated_eos() method. Calculate how much time
	  there is left to play. If we have less than the delay of the
	  jitterbuffer, we disabled buffering because we might never be able to
	  fill the complete jitterbuffer again.
	  If we receive an EOS event, disable buffering. We will drain the
	  buffer and eventually push the EOS event out.
	  When we reach the estimated NPT timeout and we didn't receive an EOS
	  event, make one and queue it so that it can be pushed.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=728017

2014-04-18 10:21:27 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpsession.c:
	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpsession.h:
	  rtpsession: send reconfigure when internal-ssrc changes
	  When the internal-ssrc property changes, we want to send a reconfigure
	  upstream to make payloaders use the new suggested ssrc.
	  Using the internal-ssrc property to change the SSRC of a stream is not a
	  good idea and doesn't work when there are multiple senders, we want to
	  set the SSRC directly on the payloaders. Therefore, deprecate this
	  property.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=725361

2014-04-18 04:23:26 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  jitterbuffer: assume a full buffer when eos
	  Rework the logic to make buffering messages a little, make sure we
	  don't make the same message multiple times.
	  Consider the buffer full when EOS was received.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=728017

2014-04-17 18:07:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/rtprtx.c:
	  rtprtx: Don't forget to unmap rtp buffer in the test

2014-04-17 17:58:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtprtxsend.c:
	  rtprtxsend: Require clock-rate in the caps and handle no ssrc in the caps properly

2014-04-17 17:43:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/rtprtx.c:
	  rtprtx: Provide an ssrc in the test
	  And increase timeout to allow all tests to run in valgrind.

2014-04-17 17:33:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/rtpsession.c:
	  rtpsession: Fix memory leaks in test

2014-04-17 17:26:36 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/rtpjitterbuffer.c:
	  rtpjitterbuffer: Fix hundreds of memory leaks in the test

2014-04-17 17:00:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Unref clock id when waiting for the clock is interrupted

2014-04-17 16:39:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/rtpcollision.c:
	  rtpcollision: Fix memory leaks in unit test

2014-04-16 21:40:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: name collectpads object based on videomixer name
	  Makes it easier to track things in debug logs when there
	  are multiple mixers and muxers.

2014-04-16 21:37:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: better logging of incoming events
	  The pad and parent names are already logged as part of logging
	  the object. Instead log the full event details.

2014-04-16 19:03:47 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/videomixer.c:
	  videomixer: Fix memory leak in unit test

2014-04-16 18:49:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/level/gstlevel.c:
	  level: Use the correct number of samples to iterate over the input array
	  Fixes invalid memory accesses and accesses to uninitialised data.

2014-04-16 18:00:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/icydemux/gsticydemux.c:
	  icydemux: Unref dropped events

2014-04-16 17:29:30 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/ebml-read.c:
	  matroska: fix check for amount of data to read
	  History shows length==0 should set data to NULL and return,
	  so we do that too instead of trying to read nothing.
	  Coverity 206205

2014-04-16 17:25:44 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: fix sign comparison
	  history_count is unsigned, so the whole comparison will be made
	  as unsigned, and fail to reject what it was meant to.
	  Coverity 206204

2014-04-16 17:04:50 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/avi/gstavidemux.c:
	  avidemux: remove dead code
	  sub may not be NULL in this switch, there is a bail out just
	  before it if so.
	  Coverity 206098

2014-04-16 16:59:43 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: remove dead code
	  The block_size == 0 was shortcut earlier, and the variable is not
	  modified in the meantime.
	  Coverity 206097

2014-04-16 16:56:54 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/videomixer/videoconvert.c:
	  videomixer: remove dead code
	  While it seems to keep a compile time selection, I traced it
	  to some code copied from videoconvert, where it was removed,
	  with the following comment:
	  Also remove the high-quality I420 to BGRA fast-path as it needs
	  the same fix, which causes an additional instruction, which causes
	  orc to emit more than 96 variables, which then just crashes.
	  This can only be fixed in orc by breaking ABI and allowing more
	  variables.
	  Thus, I remove it here as well.
	  Coverity 206064

2014-04-16 16:50:30 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/qtdemux.c:
	  isomp4: fix incorrect masking for multiple tags
	  Coverity 206058

2014-04-16 16:45:08 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/atoms.c:
	  isomp4: fix wrong atom flags set when adding samples
	  Coverity 206057

2014-04-16 16:40:02 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/audiofx/audiofxbasefirfilter.c:
	  audiofx: fix comparison of delta time to a threshold
	  Coverity 206055

2014-04-16 16:32:26 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/wavparse/gstwavparse.c:
	  wavparse: do not rely on call failure keeping return data unmodified
	  This is clearer this way too.
	  Coverity 206029

2014-04-16 16:28:49 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/atomsrecovery.c:
	  isomp4: catch fseek error
	  Coverity 206028

2014-04-16 16:25:44 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/atoms.c:
	  isomp4: report failures to caller
	  Coverity 206027

2014-04-16 18:05:46 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: refuse serialied query when buffering
	  When we are buffering, we can't block and wait for the serialized query
	  to complete because the jitterbuffer will not try to forward the query
	  while buffering. Instead, just refuse the query.

2014-04-16 16:51:15 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: don't free the serialized query
	  We should never free a serialized query in the queue, it is the upstream
	  caller that will free it.

2014-04-16 17:35:42 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/aacparse.c:
	  aacparse: Fix memory leak in the test

2014-04-16 17:33:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: Create hashtable only when we actually use it
	  In error cases we previously returned without freeing it.

2014-04-16 17:30:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videomixer/videomixer2.c:
	  videomixer: Chain up to the parent class' dispose function

2014-04-16 17:23:27 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Initialise ioctl struct with zeroes before passing it to ioctl()

2014-04-16 13:47:43 +0200  Marc Leeman <marc.leeman@gmail.com>

	* gst/udp/gstudpsrc.c:
	  udpsrc: correct LOG msg for -1
	  Signed-off-by: Marc Leeman <marc.leeman@gmail.com>

2014-04-15 21:36:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/interleave/interleave.c:
	  interleave: Fix negotiation to work at all again
	  The caps query handling function for the sinkpads was called for
	  the srcpad, and the sinkpads had none. This commit moves it to the
	  right pad, but nonetheless the negotiation still looks wrong.
	  This makes the test pass again after the recent coverity fix
	  and also allows interleave to work again, but someone should
	  really review the negotiation code and fix it.

2014-04-13 09:03:41 +0200  Edward Hervey <edward@collabora.com>

	* sys/oss4/oss4-audio.c:
	  oss4: Maximum number of channels support is 8
	  Avoids doing potential overwrites in ch_layout (which only has 8
	  fields).
	  CID #1139826

2014-04-12 22:16:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/osxvideo/osxvideosink.m:
	  osxvideosink: Set rank to MARGINAL
	  If available we prefer using glimagesink over osxvideosink. It supports
	  more formats and in general has more features than osxvideosink.

2014-04-11 18:19:49 +0200  Josep Torra <n770galaxy@gmail.com>

	* gst/rtp/gstrtph264depay.c:
	  rtph264depay: only guess AU boundaries when aren't indicated by marker
	  The marker bit isn't mandatory and we had in place code to guess AU
	  boundaries by detecting a new picture start. This guessing code
	  didn't work with interlaced content that has proper marker bits
	  to indicate the AU boundaries. It was leaking the first field buffer
	  and producing a corrupted output.
	  fixes: https://bugzilla.gnome.org/show_bug.cgi?id=728041

2014-04-10 10:38:19 -0300  Rafał Mużyło <galtgendo@o2.pl>

	* ext/libpng/gstpngdec.c:
	  pngdec: enable libpng interlaced picture handling
	  Makes libpng deinterlace Adam7 interlaced pictures
	  by default. It is the only interlaced format available
	  and if the picture isn't interlaced the code should behave
	  as before.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726161

2014-04-11 13:27:42 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Only keep-alive the connection in stop() if we have finished all previous messages
	  After cancelling a request we need to create a new connection.

2014-04-11 11:54:12 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/dv/gstdvdec.c:
	  dvdec: Don't set bogus timestamp/duration
	  This will happen if we have an incoming stream with a non-TIME segment
	  Could be improved later to figure out proper pts/duration.
	  CID #1199702
	  CID #1199703

2014-04-11 11:53:42 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/dv/gstdvdec.c:
	  dvdec: Properly refuse incoming stream without framerate
	  The return value wasn't properly propagated back if the caps
	  didn't contain a framerate

2014-04-10 16:35:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Also retry on unexpected network failures

2014-04-10 15:45:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	  souphttpsrc: New property to specify the maximum number of retries before we give up

2014-03-13 10:56:11 +0100  Alexander Zallesov <zallesov@gmail.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Change default timeout to 15 seconds
	  If nothing happens after 15 seconds, chances are good that
	  our connection will never will work. Stop after 15 seconds
	  instead of waiting until the system's default timeout, which
	  can be > 1 minute.

2014-04-09 17:30:54 +0900  Jimmy Ohn <yongjin.ohn@lge.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: replace duplicated variable when parsing trex atom
	  https://bugzilla.gnome.org/show_bug.cgi?id=727878

2014-04-09 10:56:29 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Use GST_FLOW_FLUSHING when flushing, not GST_FLOW_EOS
	  ... and reset it properly after flushing is done. Fixes playback
	  in many cases when buffering is used.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727821

2014-04-09 08:58:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Properly return stream flags when parsing trex atom
	  https://bugzilla.gnome.org/show_bug.cgi?id=727867

2014-03-19 19:18:11 +0000  Matthieu Bouron <matthieu.bouron@collabora.com>

	* sys/osxvideo/osxvideosink.h:
	* sys/osxvideo/osxvideosink.m:
	  osxvideosink: use the video frame API instead of the video meta API
	  https://bugzilla.gnome.org/show_bug.cgi?id=726738

2014-03-19 18:47:39 +0000  Matthieu Bouron <matthieu.bouron@collabora.com>

	* sys/osxvideo/osxvideosink.m:
	  osxvideosink: advertize video meta API support
	  https://bugzilla.gnome.org/show_bug.cgi?id=726737

2014-04-08 11:31:06 +0200  Edward Hervey <edward@collabora.com>

	* gst/interleave/interleave.c:
	  interleave: Add missing break in switch statement
	  The caps query is handled entirely already before.
	  CID #1139757

2014-04-06 18:03:11 -0300  Reynaldo H. Verdejo Pinochet <r.verdejo@sisa.samsung.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: souphttpsrc: use SoupKnownStatusCode if needed
	  From libsoup docs:
	  Prior to 2.44 SoupStatus was called SoupKnownStatusCode,
	  but the individual values have always had the names they
	  have now.
	  Fixes:
	  https://bugzilla.gnome.org/show_bug.cgi?id=727329

2014-04-07 12:58:23 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/avi/gstavidemux.c:
	  avidemux: use frames, not bytes, for position query in VBR streams
	  Coverity 1139648

2014-04-07 12:42:14 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/smpte/gstsmpte.c:
	  smpte: fix copy/paste error causing unmap on wrong buffer
	  Coverity 1139647

2014-04-07 12:16:17 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: guard against finding no suitable pattern
	  The code handles a -1 pattern index, and it seems plausible
	  that a pattern might be found later, so it seems best to not
	  send an element error here.
	  Coverity 1139766

2014-04-04 17:38:14 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: update for new MIKEY API

2014-04-03 17:40:01 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: send sender SSRC in the MIKEY message
	  Allocate a new SSRC for our RTCP messages back to the server and set
	  this in the MIKEY message.

2014-04-03 17:39:30 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: make random number for the CSB
	  As recommended in the RFC

2014-03-26 12:10:44 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: don't put spaces in keymgmt header

2014-03-25 17:47:49 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: create and send the RTCP encryption key
	  Create and make a key for encrypting the RTCP packets back to the server
	  and wrap this in a MIKEY message that we send as a header in the SETUP
	  request.

2014-04-03 12:18:39 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: free the srtpdec element

2014-04-03 12:16:25 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: cleanup stream_free function
	  There is no reason to NULL all fields, we will free the stream anyway.

2014-04-03 12:07:31 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  jitterbuffer: demote warning to debug
	  For TCP, it is normal that we don't have timestamps so don't WARN on
	  it.

2014-03-29 19:13:06 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2src.c:
	  v4l2: Fix support for caps without width, height, framerate or format
	  For format like mpegts, width and height is rarely in the negotiated caps. This
	  patch fixes failure when setting format, and prevent introducing width, height,
	  framerate and format to the caps when fixating.
	  https://bugzilla.gnome.org/show_bug.cgi?id=725860

2014-03-31 18:34:13 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gst/avi/gstavidemux.c:
	* gst/avi/gstavidemux.h:
	  avidemux: Always set PTS=DTS on raw video streams

2014-03-31 18:31:22 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gst/avi/gstavidemux.c:
	  avidemux: Always set pixel-aspect-ratio on raw video streams
	  That field is mandatory in caps and if it is not present in the
	  AVI container, it means square pixels thus 1/1.

2014-03-30 00:35:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroska-mux: add mapping for Opus audio
	  Might want to consider adding channels/rate
	  requirement to template caps, but requires
	  fixing up of encoder and parser first.

2014-03-30 00:31:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.h:
	  matroska-demux: add mapping for Opus audio codec
	  https://bugzilla.gnome.org/show_bug.cgi?id=727305

2014-03-29 17:21:17 -0400  William Manley <will@williammanley.net>

	* sys/v4l2/gstv4l2object.c:
	  v4l2src: Fix support for mpegts streams
	  It seems that GStreamer's mpegts elements (tsdemux, tsparse) require caps
	  `video/mpegts,systemstream=true`.  As far as I can see the significance
	  of systemstream is to indicate that this is a container format rather than
	  an elementary stream.  As this is the case (and I can't understand how it
	  could not be the case with mpegts) I add systemstream=true to v4l2src's
	  caps.
	  This allows v4l2src to be linked with tsdemux for playback from my
	  Hauppauge HD-PVR with the pipeline:
	  v4l2src ! queue ! tsdemux ! video/x-h264 ! decodebin ! xvimagesink
	  In combination with the next commit this fixes using Hauppauge HD-PVR with
	  GStreamer 1.0+.

2014-01-14 14:48:42 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: attempt to fix infinite (for small version of infinite) loop

2014-03-29 13:20:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpmanager: copy sticky events when exposing pads in more places
	  https://bugzilla.gnome.org/show_bug.cgi?id=724712

2014-03-28 20:11:36 +0100  Rico Tzschichholz <ricotz@ubuntu.com>

	* sys/v4l2/Makefile.am:
	  v4l2: fix distcheck
	  Make sure ext/*.h are dist'ed

2014-03-27 19:51:50 +0000  Tim-Philipp Müller <tim@centricular.com>

	* sys/ximage/gstximagesrc.c:
	  ximagesrc: only extrapolate alpha mask for 32-bit depth
	  Instead of passing bogus alpha mask values when there's no alpha.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726833

2014-03-21 13:03:17 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/ximage/gstximagesrc.c:
	  ximagesrc: Add ARGB/BGRA support

2014-03-20 15:28:26 +0100  Ognyan Tonchev <ognyan@axis.com>

	* gst/rtp/gstrtpjpegpay.c:
	  jpegpay: consider header len when calculating payload len
	  Fixed https://bugzilla.gnome.org/show_bug.cgi?id=726777

2014-03-26 08:03:22 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: All frames are sync points

2014-03-26 08:02:43 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libpng/gstpngdec.c:
	  pngdec: All frames are sync points

2014-03-22 17:07:46 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/matroska/matroska-demux.c:
	  matroskademux: segment closing not needed in 1.x
	  ... as sender should keep track of segment base accumulation.
	  Rather, it may have some adverse effects as a spurious segment event,
	  e.g. in collectpads.

2014-03-22 17:05:17 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/matroska/matroska-demux.c:
	  matroskademux: early sending pending codec-data for all streams
	  ... at least before syncing across all streams might cause some gap
	  activity on any of those streams, notably sparse streams.
	  See also #712134

2014-03-22 17:01:27 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/matroska/matroska-mux.c:
	  matroskamux: handle both sticky and non-sticky custom event

2014-03-25 11:44:27 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: only expose streams on dataflow
	  Only probe on buffers, we don't want to expose the streams on events.

2014-03-25 11:36:40 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpbin.c:
	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: copy sticky events to ghostpad
	  When we expose internal pads as ghostpads, first copy the sticky events
	  so that we have the caps and segment etc.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=724712

2014-03-24 14:25:43 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: srtp handling

2014-03-25 10:23:00 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: set SSRC on caps if known

2014-03-24 16:58:25 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: put caps on udpsrc instead of using the signals
	  Try to avoid using the request-pt-map to get caps but set them directly
	  on the udpsrc element. That way, the caps get nicely transformed as they
	  pass through the different elements in the rtpbin, including the AUX and
	  decoder/encoder elements.

2014-03-24 15:35:09 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: use profile to set rtcp caps
	  Use the negotiated profile to set x-rtcp or x-srtcp caps

2014-03-24 15:34:26 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: set udpsrc to READY
	  READY is enough to allocate ports now

2014-03-24 14:25:28 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/udp/gstudpsrc.c:
	  udpsrc: improve caps handling
	  Protect caps with the lock.
	  Don't push the caps event from the set_property function but mark the
	  pad for reconfiguration so that it will renegotiate and push the new
	  caps event in the streaming thread.

2014-03-24 15:15:34 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/udp/gstudpsrc.c:
	  udpsrc: open/close socket in NULL<->READY state
	  We should open the socket when going to NULL<->READY and not in the
	  start/stop vemthod, which is called in READY<->PAUSED. This makes it
	  possible to allocate a socket without going to PAUSED (and starting the
	  negotiation).

2014-03-24 14:35:01 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: free caps in ptmap array
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=726696

2014-03-20 11:12:51 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: handle NULL rtpmap and parse error better

2014-03-16 23:46:22 -0400  Olivier Crête <tester@tester.ca>

	* configure.ac:
	  configure: Don't check for gudev if video4linux2 is not present

2014-03-16 23:19:55 -0400  Olivier Crête <tester@tester.ca>

	* configure.ac:
	  configure: Don't fail if gudev is not present
	  PKG_CHECK_MODULES has the bad habit of failing the build if it doesn't
	  get what it wants, prevent that.

2012-11-02 13:33:13 +0100  Olivier Crête <olivier.crete@collabora.com>

	* configure.ac:
	* sys/v4l2/Makefile.am:
	* sys/v4l2/gstv4l2.c:
	* sys/v4l2/gstv4l2devicemonitor.c:
	* sys/v4l2/gstv4l2devicemonitor.h:
	  v4l2: Implement GstDeviceMonitor subclass
	  https://bugzilla.gnome.org/show_bug.cgi?id=678402

2013-08-12 11:49:21 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/pulse/Makefile.am:
	* ext/pulse/plugin.c:
	* ext/pulse/pulsedevicemonitor.c:
	* ext/pulse/pulsedevicemonitor.h:
	  pulse: Add device monitors
	  https://bugzilla.gnome.org/show_bug.cgi?id=678402

2014-03-16 19:24:26 -0400  Olivier Crête <tester@tester.ca>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: Remove GstPropertyProbe leftovers

2014-02-19 03:04:03 +0100  Mathieu Duponchelle <mduponchelle1@gmail.com>

	* gst/videomixer/videomixer2.c:
	* gst/videomixer/videomixer2.h:
	  videomixer: Port to new collectpads API
	  See: https://bugzilla.gnome.org/show_bug.cgi?id=724705

2014-03-16 15:26:04 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/ext/types-compat.h:
	* sys/v4l2/ext/videodev2.h:
	  v4l2: Add types compatiblity for other OS
	  Adds type compatiblity with other OS like BSD. This uses types mapping macro to
	  avoid conflict with existing defined types. We resuse glib types as these are
	  already available on supported platforms. This is GCC only because of the
	  le32 type that uses bitwise attribute.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726453

2014-03-16 15:55:00 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/pulse/pulseutil.c:
	  pulse: fix format info to caps conversion for mulaw

2013-08-13 12:10:42 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/pulse/pulsesink.c:
	* ext/pulse/pulseutil.c:
	* ext/pulse/pulseutil.h:
	  pulse: Make gst_pulse_format_info_to_caps() shared
	  https://bugzilla.gnome.org/show_bug.cgi?id=678402

2014-03-15 18:41:16 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/Makefile.am:
	  v4l2: Fix typo V4L_DIR intead of V4L2_DIR

2014-03-15 18:05:32 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	  v4l2-build: Set HAVE_GST_V4L2 if headers are present
	  The name of HAVE_ need to match the USE_. Now set HAVE_GST_V4L2 if
	  videodev2.h is found.

2014-03-15 16:47:51 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* sys/Makefile.am:
	  v4l2: Actually build the plugin
	  The checks were removed inadvertedly in previous patch and not replaced.
	  Re-introduce the configure checks and some of the checks in order to enable
	  this plugin again. We only check if videodev2.h exist on the platform to
	  avoid building on Windows or OSX, though we build against our own copy. This
	  was breaking the build on built-bot.

2014-03-15 13:47:42 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  translation: PO file changes caused by POTFILE.in update

2014-03-15 13:17:21 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	* sys/v4l2/Makefile.am:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2sink.c:
	* sys/v4l2/gstv4l2src.c:
	* sys/v4l2/gstv4l2videooverlay.c:
	* sys/v4l2/gstv4l2videooverlay.h:
	  v4l2: Remove XV support
	  XV support for v4l2 never became upstream and ended up being
	  commented out with an undef for a long time now.

2014-03-15 11:13:05 +0100  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* gst-plugins-good.spec.in:
	* sys/Makefile.am:
	* sys/v4l2/ext/v4l2-common.h:
	* sys/v4l2/ext/v4l2-controls.h:
	* sys/v4l2/ext/videodev2.h:
	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2vidorient.c:
	* sys/v4l2/v4l2_calls.c:
	* tests/icles/Makefile.am:
	  v4l2: Use a copy of videodev2.h header
	  With years the amount of ifdef have grown up and we are not even sure if the
	  old code path compiles. Each time we need to update the v4l2 framework to add
	  the new feature, we break compilation on older kernel. With exception of two
	  controls in the video orientation control, this patch get rid of all ifdef by
	  including the latest version of videodev2.h inside GStreamer.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=723446

2014-03-12 15:32:55 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	  souphttpsrc: Add properties for selecting SSL/TLS certificate checking
	  And by default properly check certificates against the system's CA
	  certificates. Everything else is not a good default at all.

2014-03-11 14:56:30 +0100  Per x Johansson <perxjoh@axis.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: fix assert on fps lower than 1
	  Fixes assert caused by gst_duration_to_fraction calling
	  gst_util_uint64_scale_int with a denominator of 0 when fps is less
	  than 1.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726106

2014-03-11 00:46:06 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/videomixer/videomixer2.c:
	  videomixer2: store video info with buffers to keep it in sync
	  Instead the queued buffer might have an old caps while the pad
	  is already storing the information for a new caps. Mixing those
	  while handling buffers will often lead to issues
	  https://bugzilla.gnome.org/show_bug.cgi?id=725948

2014-03-08 19:29:58 -0500  William Manley <will@williammanley.net>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: Fix typo contol -> control
	  https://bugzilla.gnome.org/show_bug.cgi?id=725632

2014-03-04 01:15:49 +0000  William Manley <will@williammanley.net>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: Normalise control names in the same way as v4l2-ctl
	  V4L2 kernel drivers allow configuration of the hardware settings via a
	  mechanism called controls.  These can be referred to by name such as
	  "Brightness" and "White Balance Temperature".  The user-space command line
	  client for setting these controls (v4l2-ctl) normalises these names such
	  that they only contain lower case alphanumeric characters and the
	  underscore '_'.  e.g:
	  Kernel                     v4l2-ctl
	  ----------------------------------------------------
	  Brightness                 brightness
	  White Balance Temperature  white_balance_temperature
	  Focus (absolute)           focus_absolute
	  GStreamer seems to want to follow this pattern but failed for controls with
	  more than one consecutive non-alphanum character.  e.g. GStreamer would
	  produce "focus__absolute_" rather than "focus_absolute".
	  This commit fixes that issue.  Backwards compatibility is preserved by
	  normalising all control names before comparison.
	  https://bugzilla.gnome.org/show_bug.cgi?id=725632

2014-03-07 16:17:29 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Make sure to not return EOS immediately if we finished a range request
	  Only return EOS the next time create() is called, if at all. basesrc
	  should already take care of not calling it again.
	  Also always return immediately if the previous flow return was
	  not OK. This indicates an error somewhere.

2014-03-06 12:06:43 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpamrdepay.c:
	* gst/rtp/gstrtpilbcdepay.c:
	* gst/rtp/gstrtpsirendepay.c:
	* gst/rtp/gstrtpspeexdepay.c:
	  rtp: Remove caps restrictions from RTP depayloader sink caps
	  Remove caps restrictions that correspond to the default and are not
	  required in SDP. With the new usage of having pads require a subset
	  of the caps, they will make the negotiation fail.

2014-03-06 11:02:09 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpspeexdepay.c:
	  rtpspeexdepay: Remove caps restrictions for depayloader
	  The "encoding-params" is optional in the SDP, because we now require
	  a subset of the caps, it would fail caps negotiatioin if it wasn't present.
	  So removed it from the template caps.

2014-03-06 13:38:09 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Don't forget to quit mainloop after we cancelled when we got data after the stop position

2014-03-06 13:35:47 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: If we had a stop position, allow for the server to finish our connection instead of just cancelling
	  Otherwise keep-alive does not make much sense and also the server will have
	  confusing things in the logs.

2014-03-06 12:24:01 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: skip streams with same control url
	  Keep track of what streams we did the SETUP for. We only need to
	  configure caps, wait for pads and push events on setup streams. We can
	  remove the disabled state of the stream and simplify some checks.
	  After we setup a stream, skip the other streams that have the same
	  control url. Use a skipped flag to mark streams that should be skipped.

2014-03-06 12:22:47 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: remove obsolete code

2014-03-05 16:19:19 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: just use the SDP index as the stream id
	  Use the index of the media stream in the SDP as the stream id instead of
	  keeping a separate counter.

2014-03-05 13:35:19 +0100  Thijs Vermeir <thijsvermeir@gmail.com>

	* sys/osxvideo/cocoawindow.m:
	* sys/osxvideo/osxvideosink.m:
	  osxvideo: fix build on Mac OSX Mavericks and put new window in front
	  GetCurrentProcess/SetFrontProcess/TransformProcessType was deprecated
	  and now removed in Mac OSX 10.9. orderFrontRegardless is used to make
	  the video window the most front window.

2014-03-05 17:33:56 +0100  Christian Fredrik Kalager Schaller <uraeus@linuxrising.org>

	* gst-plugins-good.spec.in:
	  Add docs directory to spec file

2014-03-05 15:44:25 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: handle NULL control urls better

2014-03-05 14:28:26 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/rtpsession.c:
	  session: small cleanups
	  It's nicer to explicitly check for NULL on pointer types to make it
	  clear that it's a pointer and not a boolean.

2014-03-05 14:26:02 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/rtpsession.c:
	  session: handle unknown SSRC in FIR
	  https://bugzilla.gnome.org/show_bug.cgi?id=725712

2014-03-05 11:39:09 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: fix seeking
	  Call gst_rtspsrc_connection_flush (src, FALSE) to reset connections as
	  non-flushing before sending PAUSE and PLAY with the new npt range. Without this
	  patch, those commands would fail with EINTR as the connections were still
	  flushing.

2014-03-03 16:39:26 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/avi/gstavidemux.c:
	* gst/avi/gstavidemux.h:
	  avidemux: expose xsub as a subtitle instead of as a video
	  It is placed inside a 'vids' struct, so it was being exposed on
	  a pad named video_%d. XSUB are subtitles and this patch adds
	  an special case for it to be exposed in a subpicture_%d pad

2014-03-03 16:38:45 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/avi/gstavidemux.c:
	  avidemux: do not try to add a tag with tag_name set to NULL
	  This can happen if there are subtitles in the stream, leading to
	  an assertion

2014-03-04 16:40:34 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: Add support for multiple payload types
	  A media stream can have multiple payload types. Parse all the payload
	  types and collect the caps information. We then have to store the
	  pt<->caps mapping instead of 1 pt and 1 caps.
	  Parse the profile from the SDP and use that to negotiate the transport
	  instead of always using AVP.
	  Rework how we do some tweaks for ASF and Realmedia.

2014-03-04 11:34:39 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: refactor payload handling

2014-03-03 11:34:00 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/rtpjitterbuffer.c:
	  jitterbuffer: fix buffer level with invalid DTS
	  It is possible that the DTS is invalid (when we receive RTP packets from
	  TCP, for example). As a fallback, use the reconstructed PTS value to
	  calculate the buffer level.

2014-03-02 05:10:13 +0100  Sebastian Rasmussen <sebras@hotmail.com>

	* .gitignore:
	  .gitignore: Ignore gcov intermediate files
	  https://bugzilla.gnome.org/show_bug.cgi?id=725480

2014-02-28 09:34:46 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From fe1672e to bcb1518

2014-02-27 23:15:04 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/audioparsers/gstaacparse.c:
	  Revert "aacparse: put codec data on caps for loas format"
	  This reverts commit e459cf3e01a08f1a3ef1fb954a41cfa36b3e510c.
	  This was pushed by accident, the bug should likely be fixed in
	  libav https://bugzilla.libav.org/show_bug.cgi?id=644

2014-02-27 18:55:04 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: mark all parsed frames as sync points
	  all jpeg frames are sync points, so mark them as such so
	  reverse playback can properly work with the video decoder
	  base class
	  https://bugzilla.gnome.org/show_bug.cgi?id=725104

2014-02-25 01:12:05 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: put codec data on caps for loas format
	  gst-libav audio decoder also needs codec data for LOAS format, otherwise
	  it will complain about not having a decoder config and skip all packets
	  https://bugzilla.gnome.org/show_bug.cgi?id=596772

2014-02-27 00:43:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: align raw audio memory to powers of two
	  https://bugzilla.gnome.org/show_bug.cgi?id=725008

2014-02-27 00:37:20 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: calculate alignment properly for audio depths not a multiple of 8

2014-02-23 19:09:24 +0100  Matej Knopp <matej.knopp@gmail.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: fix crash with 24-bit raw audio
	  Do not try to align audio buffers to odd numbers,
	  which will get us a NULL buffer which we then
	  crash on.
	  https://bugzilla.gnome.org/show_bug.cgi?id=725008

2014-02-27 00:11:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtpmanager/Makefile.am:
	  rtpmanager: re-enable -Werror

2014-02-27 00:11:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: fix compiler warning
	  gstrtpjitterbuffer.c: In function 'gst_rtp_jitter_buffer_loop':
	  gstrtpjitterbuffer.c:2978:3: error: 'result' may be used uninitialized in this function
	  while (result == GST_FLOW_OK);
	  ^

2014-02-26 22:11:41 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 1a07da9 to fe1672e

2014-02-26 21:11:23 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Fix uninitialized variable compiler warning

2014-02-26 07:32:32 -0500  Jake Foytik <jake.foytik@ipconfigure.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Remove raw comparisons of RTP sequence numbers
	  Several conditional statements perform comparison on RTP sequence
	  numbers without taking the sequence number rollover into account.
	  Instead, use the gst_rtp_buffer_compare_seqnum function to perform the
	  comparison.
	  https://bugzilla.gnome.org/show_bug.cgi?id=725159

2014-02-03 01:44:21 +0100  Sebastian Rasmussen <sebras@hotmail.com>

	* tests/check/Makefile.am:
	  tests: Don't build disabled plugins' check tests
	  https://bugzilla.gnome.org/show_bug.cgi?id=723502

2014-02-26 11:29:45 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/Makefile.am:
	  docs: install prebuilt plugin docs if gtk-doc is disabled
	  Sync to the Makefile.am from gst-plugin-base where it is done right.
	  Fixes #725034

2014-02-25 16:10:54 -0500  Hugues Fruchet <hugues.fruchet@st.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: do not emit "parsed" caps for vp8
	  VP8 doesn't require parsing (vp8parse doesn't exist, so negotiation with demux fails
	  if "parsed" is set in caps).
	  https://bugzilla.gnome.org/show_bug.cgi?id=724636

2014-02-11 16:27:08 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: Don't require parser for VP8
	  Until GStreamer has one (see bug722760), we should not require a parser for VP8.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722128

2014-02-10 17:08:25 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: CAPTURE_MPLANE is well tested now
	  https://bugzilla.gnome.org/show_bug.cgi?id=722128

2013-12-18 09:56:35 +0100  Benjamin Gaignard <benjamin.gaignard@linaro.org>

	* sys/v4l2/gstv4l2.c:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/gstv4l2videodec.h:
	  v4l2videodec: Create one element per device
	  For each videoCdevice probe it input/output capabilities
	  if it match with video decoder requirement register a new element.
	  Signed-off-by: Benjamin Gaignard <benjamin.gaignard@linaro.org>
	  https://bugzilla.gnome.org/show_bug.cgi?id=722128

2013-12-19 15:26:52 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: Calculate latency from device information
	  Decoders or other devices that expose a minimum buffers required produce
	  an first output. We use this information to calculate latency.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722128

2013-11-28 17:14:18 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/Makefile.am:
	* sys/v4l2/gstv4l2.c:
	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/gstv4l2videodec.h:
	* sys/v4l2/v4l2_calls.c:
	  v4l2videodec: Implement v4l2videodec
	  Implement an element that can driver V4L2 M2M decoder device.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722128

2014-02-11 12:41:29 +0100  Göran Jönsson <goranjn@axis.com>

	* gst/rtp/gstrtph264pay.c:
	  rtph264pay: only update last_spspps time if all sps/pps got sent successfully
	  This fixes an issue with gst-rtsp-server where no sps and pps are
	  sent for the first intra frame, because the payloader starts working
	  already when receiving DESCRIBE but there is no transports so it tries
	  to send sps and pps, but that fails with a FLUSHING flow. But the time
	  for last sent sps and pps would still be set, so when PLAY arrives and
	  the first intra frame is to be sent there is no sps and pps sent due to
	  that time since last sps pps is less than spspps_interval.
	  https://bugzilla.gnome.org/show_bug.cgi?id=724213

2014-02-25 09:00:45 +0100  Santiago Carot-Nemesio <sancane@gmail.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Fix deadlock when task creation is no successful
	  https://bugzilla.gnome.org/show_bug.cgi?id=725124

2014-02-22 20:19:49 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/autodetect/gstautodetect.c:
	  autodetect: demote candidate error to warning and plug fake{sink,src}
	  In the case where we have no suitable candidate we post a warning and plug a
	  fake-element. Do the same when non of the candidate work.
	  This is more consistent and plugin the fakesink as a fallback is probably
	  helpful for running unit tests without requiring hardware src/sink elements.
	  Fixes #722981

2014-02-23 12:34:48 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: make some more controls configurable
	  ... at least if one tries hard enough using extra-controls property.

2014-02-23 10:39:20 +0100  Dan Kegel <dank@kegel.com>

	* configure.ac:
	  v4l2: Require mplanar support for now in configure
	  The code fails to compile without currently, see
	  https://bugzilla.gnome.org/show_bug.cgi?id=723446
	  It's better to disable it instead of failing compilation
	  until this is fixed properly.

2014-02-23 00:14:04 +0100  Stefan Sauer <ensonic@users.sf.net>

	* ext/jack/gstjackaudioclient.c:
	  jack: add some simple log handlers for jack
	  Add log handlers for jack that write to the gst debug log. This avoids spamming
	  the console when e.g. using autoaudiosink, having the jack elements installed,
	  but not running jack.

2014-02-22 21:31:21 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* sys/v4l2/v4l2_calls.c:
	  v4l2src: handle old and odd driver behaviour when listing controls

2013-11-28 16:54:58 -0800  Darryl Gamroth <dgamroth@uvic.ca>

	* gst/audiofx/audiofxbaseiirfilter.c:
	  audiofxbaseiirfilter: check if coefficients are provided inside filter lock
	  https://bugzilla.gnome.org/show_bug.cgi?id=719524

2014-02-21 19:46:44 +0000  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2src: also unset INTERLACED flag on buffers if frame is not interlaced
	  https://bugzilla.gnome.org/show_bug.cgi?id=724899

2014-02-21 14:31:59 +0000  Simon Farnsworth <simon.farnsworth@onelan.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2src: Flag interlaced buffers as interlaced.
	  We correctly indicate the field ordering on interlaced buffers, but fail to
	  flag them as containing interlaced video, which we need to do here because
	  we signal interlace-mode=mixed in our caps. This means that downstream
	  elements (like vaapipostproc from gstreamer-vaapi) don't recognise these
	  buffers as in need of deinterlacing.
	  Fix this by setting the interlaced flag on all interlaced buffers.
	  Signed-off-by: Simon Farnsworth <simon.farnsworth@onelan.co.uk>
	  https://bugzilla.gnome.org/show_bug.cgi?id=724899

2014-02-19 13:56:37 -0300  Reynaldo H. Verdejo Pinochet <r.verdejo@sisa.samsung.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: be more strict at ADTS header parsing
	  Adds two extra checks:
	  - Sampling frequency on header can't be 15.
	  - Frame size should be at least 9 or 7, depending
	  on whether CRC protection is present.
	  https://bugzilla.gnome.org/show_bug.cgi?id=724638

2014-02-19 13:35:59 -0300  Reynaldo H. Verdejo Pinochet <r.verdejo@sisa.samsung.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: make sure we have enough ADTS data
	  We need at least 6 bytes to pass over to _get_frame_len()
	  but we were just checking for a minimum of 2 bytes for the
	  syncword.
	  https://bugzilla.gnome.org/show_bug.cgi?id=724638

2014-02-20 22:52:57 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/autodetect/gstautodetect.c:
	* gst/autodetect/gstautodetect.h:
	  autodetect: check if the kid has a sync property
	  previously autovideosrc did not have a sync property and v4l2src has none either.

2014-02-19 21:55:52 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/autodetect/gstautoaudiosink.c:
	* gst/autodetect/gstautoaudiosink.h:
	* gst/autodetect/gstautoaudiosrc.c:
	* gst/autodetect/gstautoaudiosrc.h:
	* gst/autodetect/gstautodetect.c:
	* gst/autodetect/gstautodetect.h:
	* gst/autodetect/gstautovideosink.c:
	* gst/autodetect/gstautovideosink.h:
	* gst/autodetect/gstautovideosrc.c:
	* gst/autodetect/gstautovideosrc.h:
	  autodetect: use a common baseclass
	  This makes the actual elements super simple. We're using the ELEMENT_FLAG to
	  configure source/sink and a string for the Audio/Video type.

2014-02-14 17:14:42 -0800  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: add tls-database property
	  Add support for a new property: tls-database. If the property is set,
	  the certificate database will be given to the rtsp connection if TLS
	  protocol is being used. If the server certificate can't be verified with
	  the default database, this additional database will be used.
	  https://bugzilla.gnome.org/show_bug.cgi?id=724396

2014-02-19 22:21:54 +0100  Thijs Vermeir <thijsvermeir@gmail.com>

	* sys/osxaudio/gstosxaudioringbuffer.c:
	* sys/osxaudio/gstosxaudiosink.c:
	  osxaudio: remove unused variables

2014-02-19 21:26:03 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/autodetect/gstautoaudiosink.c:
	* gst/autodetect/gstautoaudiosrc.c:
	* gst/autodetect/gstautodetect.c:
	* gst/autodetect/gstautodetect.h:
	* gst/autodetect/gstautovideosink.c:
	* gst/autodetect/gstautovideosrc.c:
	  autodetect: extract common helper code
	  The function to generate the pretty names is basically the same. Use one and add
	  a parameter.

2014-02-19 21:01:39 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tests/check/Makefile.am:
	* tests/check/elements/autodetect.c:
	  autodetect: improve the tests
	  Add fake audio/video sinks. Previously running the test might be flaky due to
	  the use of real elements (hardware in use), which we don't want to test here.
	  Add two more tests that check that the fakes are chosen.

2014-02-19 15:19:30 +0100  Branislav Katreniak <bkatreniak@nuvotechnologies.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: do not emit error when connection with unknown size ends
	  Commit 46fd12ae5ec53200b16dfd7f17048d6bc60fbfbc introduced connection
	  recovery. But when server does not specify content-size,
	  souphttpsrc tries to reconnect even after regular end of stream.
	  Http server replies  with SOUP_STATUS_REQUESTED_RANGE_NOT_SATISFIABLE
	  but souphttpsrc still emits error instead of EOS.
	  https://bugzilla.gnome.org/show_bug.cgi?id=724717
	  Signed-off-by: Branislav Katreniak <bkatreniak@nuvotechnologies.com>

2014-02-19 11:26:22 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tests/check/elements/autodetect.c:
	  autodetect: fix the disabled test
	  Use a shared helper for both tests. It turns out that the valgrind variant is
	  fine (maybe due to picking up pulsesink though).

2014-02-19 11:05:35 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tests/check/elements/autodetect.c:
	  autodetect: remove cruft from the test
	  Remove the obsolete version check and use the ignore macro for the disabled test.

2014-02-18 22:54:45 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/audiofx/audiofirfilter.c:
	* gst/audiofx/audioiirfilter.c:
	* gst/level/gstlevel.c:
	* gst/spectrum/gstspectrum.c:
	  docs: use docbook markup for xi:include
	  It turns out that the change in gtk-doc-1.20 which wraps the |[]| content in
	  CDATA break xi:inlcude examples. As in a whole jhbuild checkout these where
	  the only 4, we're fixing them instead.

2014-02-18 22:35:45 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/isomp4/gstqtmux-doc.h:
	  isomp4mux: fix copy and paste
	  This fixes doc warnings.

2014-02-18 21:44:24 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/debugutils/gstcapssetter.c:
	* gst/isomp4/gstqtmux-doc.c:
	* gst/isomp4/gstqtmux.c:
	* gst/level/gstlevel.c:
	* gst/replaygain/gstrganalysis.c:
	* gst/replaygain/gstrgvolume.c:
	  docs: use the gtk-doc syntax to link to properties
	  Don't use docbook unless needed. Also stip other docbook tags in the the files we fix.

2014-02-18 11:28:18 +0100  Stefan Sauer <ensonic@users.sf.net>

	* ext/pulse/pulsesink.c:
	  pulsesink: fix crash when getting the current-device in NULL->READY
	  The "goto unlock" is wrong as in this code path we haven't take the lock yet.
	  Fixes #724619

2014-02-14 22:50:49 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  soup: We need libsoup >= 2.40 for proper usage of the content decoder
	  Previous versions did not consider our chunk allocator and allocated
	  memory by themselves, which caused crashes and broken behaviour.

2014-02-14 15:27:20 -0500  William Jon McCann <william.jon.mccann@gmail.com>

	* gst/audiofx/audiocheblimit.c:
	* gst/udp/gstudpsrc.c:
	  docs: fix mismatched para tags
	  newer gtkdoc is more sensitive to mismatched docbook tags.
	  This fixes the build in master.

2014-02-14 15:59:46 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: add support for serialized queries
	  See https://bugzilla.gnome.org/show_bug.cgi?id=723850

2014-02-14 15:53:55 +0100  Wim Taymans <wtaymans@redhat.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: fix typecast to fix compilation

2014-02-14 12:01:00 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpsession.c:
	  rtpsession: proxy caps and allocation on RTP pads
	  recv_rtp_sink: allow proxying of the allocation query.
	  send_rtp_sink: allow proxying of caps and allocation. This allows us to
	  query caps downstream as well as get an allocator from downstream.
	  send_rtp_src: allow proxy of caps, this makes the caps query do
	  upstream.
	  See https://bugzilla.gnome.org/show_bug.cgi?id=723850

2014-02-13 12:29:13 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: handle tags in mac encoding
	  Check the charset from (C)*** tags and set the charset
	  to convert from MAC encoding if suitable.
	  https://bugzilla.gnome.org/show_bug.cgi?id=723166

2014-02-13 12:09:13 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Use new automatic_eos API from basesrc
	  We want to notice ourselves that we're EOS. Otherwise we will
	  always cancel requests in the very end and confuse the server...
	  and also make it impossible to use persistent connections.

2014-02-13 11:11:13 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Consistently use have_size instead of content_size!=0

2014-02-13 10:30:09 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Free extra headers when finalizing the element
	  It's set as property by the application, we should not just reset
	  properties when going back to READY.

2014-02-13 10:28:13 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Properly close the session when going back to NULL
	  Don't wait for that until the element is disposed.

2013-02-28 12:20:52 +0100  Andoni Morales Alastruey <ylatuya@gmail.com>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	  souphttpsrc: add support for keep-alive sessions
	  https://bugzilla.gnome.org/show_bug.cgi?id=699926

2014-02-12 13:00:13 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	  souphttpsrc: Add "compress" property to enable/disable automatic gzip/deflate content encoding handling

2014-02-12 12:39:10 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Retry connection if we're finished before the content size only if we actually have a content size
	  https://bugzilla.gnome.org/show_bug.cgi?id=722185

2014-02-12 10:08:50 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouputils.c:
	  souputils: Fix compiler warning
	  gstsouputils.c:35:25: error: comparison of constant 9 with expression of type
	  'SoupLoggerLogLevel' is always false
	  [-Werror,-Wtautological-constant-out-of-range-compare]

2014-01-07 23:00:56 -0300  Reynaldo H. Verdejo Pinochet <r.verdejo@sisa.samsung.com>

	* ext/soup/Makefile.am:
	* ext/soup/gstsoup.c:
	* ext/soup/gstsouphttpclientsink.c:
	* ext/soup/gstsouphttpclientsink.h:
	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	* ext/soup/gstsouputils.c:
	* ext/soup/gstsouputils.h:
	  souphttp*: add ability to do HTTP session logging
	  This changeset adds the loggin infrastructure and
	  mods both souphttpsrc and souphttclientsink to use it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=721764

2014-02-07 14:00:15 +0100  divhaere <dirk.vanhaerenborgh@ugent.be>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-mux.c:
	  matroska: add support for GRAY8, BGR and RGB video colourspaces in V_UNCOMPRESSED codec
	  https://bugzilla.gnome.org/show_bug.cgi?id=723849

2014-02-11 13:25:46 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Add mapping for NOT_FOUND and NOT_AUTHORIZED errors

2014-02-11 13:25:22 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Don't duplicate status_code to GStreamer error mapping

2014-02-09 23:38:44 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/goom/filters.c:
	* gst/goom2k1/filters.c:
	  goom: Remove unused functions

2014-02-09 23:21:20 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-parse.c:
	  matroskaparse: Comment out some unused functions used only from the commented out pull-mode code

2014-02-08 21:01:32 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/taglib/gstid3v2mux.cc:
	  id3v2mux: Fix another compiler warning

2014-02-08 17:43:32 +0100  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/souphttpsrc.c:
	  souphttpsrc: Fix implicit enum conversion compiler warning
	  error: implicit conversion from enumeration type
	  'SoupStatus' to different enumeration type 'SoupKnownStatusCode'

2014-02-08 17:41:21 +0100  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/interleave.c:
	  interleave: Fix unitialized variable compiler warning in test
	  error: variable 'mask' is used uninitialized
	  whenever 'if' condition is false [-Werror,-Wsometimes-uninitialized]

2014-02-08 17:27:51 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/taglib/gstid3v2mux.cc:
	  id3v2mux: Fix unitialized variable compiler warning
	  error: variable 'image_type' is used uninitialized
	  whenever 'if' condition is false [-Werror,-Wsometimes-uninitialized]

2014-02-08 17:25:27 +0100  Sebastian Dröge <sebastian@centricular.com>

	* sys/oss4/oss4-audio.h:
	  oss4: Fix typo in header include guard
	  error: 'GST_OSS4_AUDIO_H' is used as a header guard here,
	  followed by #define of a different macro [-Werror,-Wheader-guard]

2014-02-08 17:24:06 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtprtxsend.c:
	  rtprtxsend: Fix unitialized variable compiler warning
	  variable 'rtx_ssrc' is used uninitialized whenever
	  'if' condition is false [-Werror,-Wsometimes-uninitialized]

2014-02-08 17:21:19 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtp/gstrtpac3depay.c:
	  rtpac3depay: Remove unused variable

2014-02-08 17:19:19 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/flx/flx_fmt.h:
	  flx: Fix typo in header include guard
	  error: '__GST_FLX_FMT__H__' is used as a header guard here,
	  followed by #define of a different macro [-Werror,-Wheader-guard]

2014-02-07 10:07:41 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/gstqtmux.h:
	  qtmux: remove have_dts flag from pads
	  It was used in the past in 0.10 when there was no explicit DTS
	  field in buffers, now we have it in 1.x series and we can
	  check it directly with GST_BUFFER_DTS_IS_VALID

2014-02-07 01:49:26 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/gstqtmux.h:
	  qtmux: improve support for sparse streams
	  Do not try to use subsequent buffer timestamps to calculate
	  sparse streams durations because the stream is sparse and
	  the buffers might not be 'time adjacent'. So rely on the
	  duration and give the option to the pad to provide
	  custom 'empty' buffers to represent the gaps in the
	  stream, this can vary on how the data is represented.
	  Right now, the only sparse stream supported is tx3g subtitles.

2014-02-06 12:15:22 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/gstqtmuxmap.c:
	  qtmux: add support for text/x-raw subtitles
	  Adds it to mp4mux, qtmux and gppmux.
	  Buffers need to be prefixed with 2 bytes for the text length before
	  being muxed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=581295

2014-02-06 12:09:01 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/atoms.c:
	* gst/isomp4/atoms.h:
	* gst/isomp4/fourcc.h:
	  qtmux: add support for the TX3G atoms
	  Adds functions for creating and setting values related to the
	  tx3g atom for raw text subtitle support.
	  QTFF spec has information on those atoms
	  https://bugzilla.gnome.org/show_bug.cgi?id=581295

2014-02-05 10:27:54 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/gstqtmux.h:
	* gst/isomp4/gstqtmuxmap.c:
	* gst/isomp4/gstqtmuxmap.h:
	  qtmux: add subtitle support to qtmuxmap structures
	  adds basic stubs for subtitle support around the qtmux and
	  qtmuxmap structures. Still no real subtitle implemented, but
	  basic functions in place
	  https://bugzilla.gnome.org/show_bug.cgi?id=581295

2014-01-20 17:31:14 -0300  Reynaldo H. Verdejo Pinochet <r.verdejo@sisa.samsung.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.c:
	* gst/matroska/matroska-ids.h:
	* gst/matroska/matroska-parse.c:
	* gst/matroska/matroska-read-common.c:
	* gst/matroska/matroska-read-common.h:
	  matroska: factor out read context init/reset
	  While at this, move _track_reset() to track-ids
	  so it can be called from the common read context
	  reset routine.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722705

2014-02-06 12:21:07 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/effectv/gstrev.c:
	  effectv: fix doc section of revtv element

2014-02-05 12:46:54 +0100  Edward Hervey <bilboed@bilboed.com>

	* sys/osxvideo/Makefile.am:
	  osxvideo: Fix libtool usage
	  --tag=CC is needed for static build

2014-01-16 11:26:41 +0000  Matthieu Bouron <matthieu.bouron@collabora.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: do not try set deinterlace method if passthrough is enabled
	  Fixes an issue with progressive content and unsupported video formats
	  for the deinterlace method.
	  https://bugzilla.gnome.org/show_bug.cgi?id=719636

2014-02-04 21:26:56 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/flac/gstflacenc.c:
	  flacenc: order format in template caps by preference
	  To minimise risk of bad fixation, though audioconvert
	  at least should be smart enough to avoid it.

2014-02-02 09:57:03 -0800  Dan Kegel <dank@kegel.com>

	* configure.ac:
	  v4l2: Remove obsolete definition GST_V4L2_MISSING_BUFDECL
	  The only use was removed by 9edc0c0365f79ab07ff2e65461c6696e3931a3f0
	  https://bugzilla.gnome.org/show_bug.cgi?id=723446

2014-02-04 13:43:56 +0100  Rafał Mużyło <galtgendo@o2.pl>

	* ext/flac/gstflacdec.c:
	* ext/flac/gstflacenc.c:
	* gst/cutter/gstcutter.c:
	  gst: Don't use endianness-specific S8 audio format
	  It does not exist.
	  https://bugzilla.gnome.org/show_bug.cgi?id=723331

2014-01-31 14:17:54 +0000  Julien Isorce <julien.isorce@collabora.co.uk>

	* ext/cairo/gstcairooverlay.c:
	  cairooverlay: add support for RGB16
	  https://bugzilla.gnome.org/show_bug.cgi?id=723289

2014-01-30 09:43:50 +0100  Per x Johansson <perxjoh@axis.com>

	* gst/matroska/matroska-mux.c:
	* gst/matroska/matroska-mux.h:
	  matroskamux: Fix constantly growing used uid list
	  Moves the used uid list to the class to avoid having it grow forever.
	  https://bugzilla.gnome.org/show_bug.cgi?id=723269

2014-01-30 10:44:05 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From d48bed3 to 1a07da9

2014-01-24 01:52:08 +0000  Mike Sheldon <elleo@gnu.org>

	* gst/wavparse/gstwavparse.c:
	  wavparse: Ignore Broadcast Wave Format (BWF) tags when searching for 'fmt' chunk
	  https://bugzilla.gnome.org/show_bug.cgi?id=723125

2014-01-29 10:37:53 +0100  Edward Hervey <bilboed@bilboed.com>

	* tests/check/elements/rtpaux.c:
	  check: Use fakesink sync=True instead of an audio sink
	  Ensures the test can run on systems without alsa (or any audio output for
	  that matter), and will avoid people running build slaves wondering what
	  the hell was beeping during the night :)

2014-01-27 20:05:42 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/audioparsers/gstac3parse.c:
	  ac3parse: custom get_sink_caps handling for private stream caps
	  ... now that those are transformed rather than parsed, some transforming
	  of caps is required as well to make auto-plugging succeed.

2014-01-25 02:06:00 -0500  Ryan Lortie <desrt@desrt.ca>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: guard use of ENODATA with #ifdef
	  Not all systems with v4l have ENODATA defined, so check that we have it
	  before attempting to use it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722953

2014-01-24 12:37:39 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  Revert "rtspsrc: Proxy rtpjitterbuffer do-retransmission property"
	  This reverts commit 9f7b1128b1f00a2b87a232ff890867549ab95ba5.
	  This should be handled automatically be rtspsrc if the AVPF profile
	  is used, and manual enabling of it can be done with the new-manager
	  signal.

2014-01-24 10:21:11 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: add signal to notify of new manager
	  So that you can configure and connect to signals on the rtpbin.
	  See https://bugzilla.gnome.org/show_bug.cgi?id=722866

2014-01-23 15:17:58 -0800  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: Proxy rtpjitterbuffer do-retransmission property
	  https://bugzilla.gnome.org/show_bug.cgi?id=722866

2014-01-21 17:52:44 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: handle expected packet being an RTX packet
	  If the expected packet (do_next_seqnum is TRUE) is the one we requested
	  for retranmission earlier, do the logic to update the retransmission
	  statistics as well before setting up the timers for the next expected
	  packet.
	  Also reset the retransmission counter if the timer is reused for another
	  seqnum.

2014-01-21 15:48:20 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: add a caps accumulator for the request-pt-map signal
	  Add an accumulator that stops the signal emission as soon as a caps has
	  been retrieved. Otherwise the default handler would continue emitting
	  the signal and possibly overwrite the result with NULL again.

2014-01-21 15:25:54 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtprtxreceive.c:
	  rtxreceive: copy flags and timestamps from original buffer

2014-01-21 15:24:52 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: ignore invalid timestamps in rtt calculation
	  When the input buffer does not have a valid timestamp, don't try to
	  calculate the round-trip-time.

2014-01-16 14:23:13 -0300  Reynaldo H. Verdejo Pinochet <r.verdejo@sisa.samsung.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-parse.c:
	* gst/matroska/matroska-read-common.c:
	* gst/matroska/matroska-read-common.h:
	  matroskaparse: better default caps when none set
	  Uses information gathered during EBML parsing to
	  forge a more suitable set of caps instead of blindly
	  assuming everything is video/x-matroska.
	  For consistency, stream type reset was added to
	  matroska-demux too.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722311

2014-01-15 17:29:35 +0100  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* tests/check/elements/rtprtx.c:
	  tests: rtprtx::test_rtxreceive_data_reconstruction: remove useless code for triggering retransmission
	  There is no need anymore to push yet another buffer in rtxsend
	  in order to trigger the previously requested retransmissions
	  to actually happen.

2014-01-15 17:27:19 +0100  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* tests/check/elements/rtprtx.c:
	  tests: rtprtx::test_rtxreceive_data_reconstruction: fix race condition
	  Now with rtprtxsend pushing rtx buffers from a different thread,
	  this is necessary to ensure that the result of the test is deterministic.
	  This code makes use of GstCheck's global GMutex and GCond that are
	  being used inside GstCheck's sink pad chain() function in order
	  to synchronize with it.

2014-01-15 17:17:57 +0100  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* tests/check/elements/rtprtx.c:
	  tests: rtprtx::test_rtxsender_packet_retention: fix race condition
	  Now with rtprtxsend pushing rtx buffers from a different thread,
	  this is necessary to ensure that the result of the test is deterministic.
	  This code makes use of GstCheck's global GMutex and GCond that are
	  being used inside GstCheck's sink pad chain() function in order
	  to synchronize with it.

2014-01-15 11:26:33 +0100  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* tests/check/elements/rtprtx.c:
	  tests: rtprtx::test_push_forward_seq: fix race condition
	  Now with rtprtxsend pushing rtx buffers from a different thread,
	  this is necessary to ensure that the result of the test is deterministic.
	  This code makes use of GstCheck's global GMutex and GCond that are
	  being used inside GstCheck's sink pad chain() function in order
	  to synchronize with it.

2014-01-15 09:47:03 +0100  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* tests/check/elements/rtprtx.c:
	  tests: rtprtx::test_push_forward_seq: fix buffer refcounting

2014-01-21 13:42:38 +0100  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/gstrtprtxsend.c:
	  rtprtxsend: ensure that no rtx buffers are sent after EOS
	  To do that, enqueue the EOS event to be sent from the srcpad task
	  thread and flush the queue right afterwards, so that no more rtx
	  buffers can be sent, even if there are more requests coming in.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=722370

2014-01-15 09:46:14 +0100  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/gstrtprtxsend.c:
	* gst/rtpmanager/gstrtprtxsend.h:
	  rtprtxsend: run a new GstTask on the src pad
	  The reason behind this is to minimize the retransmission delay.
	  Previously, when a NACK was received, rtprtxsend would put a
	  retransmission packet in a queue and it would send it from chain(),
	  i.e. only after a new buffer would arrive.
	  This unfortunately was causing big delays, in the order of 60-100 ms,
	  which can be critical for the receiver side.
	  By having a separate GstTask for pushing buffers out of rtxsend,
	  we can push buffers out right after receiving the event, without
	  waiting for chain() to get called.

2014-01-03 17:47:55 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/shout2/gstshout2.c:
	* ext/shout2/gstshout2.h:
	  shout2send: error out if no caps were received
	  Instead of assuming that input is ogg.

2014-01-03 17:30:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/shout2/gstshout2.c:
	  shout2send: accept audio/webm, audio/ogg and video/ogg as well
	  Those are advertised in the template caps, but the
	  setcaps handler didn't handle them. But then oggmux
	  and oggparse at least for now still always output
	  application/ogg anyway, so that wasn't a real problem.

2014-01-20 10:12:45 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtp/gstrtpvp8pay.c:
	  rtpvp8pay: Don't leak input buffers
	  https://bugzilla.gnome.org/show_bug.cgi?id=722414

2014-01-19 17:40:56 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/avi/gstavimux.c:
	  avimux: reset some more audio pad data when needed

2014-01-19 17:38:59 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/avi/gstavimux.c:
	* gst/avi/gstavimux.h:
	  avimux: write correct blockalign for vbr audio
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=720659

2014-01-16 17:36:12 -0800  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: do not drop serialized events when latency is set
	  Serialized events are now queued in the jitter buffer, so we don't
	  want to drop them even latency is set.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722372

2013-12-11 09:36:22 +0100  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst/avi/gstavimux.c:
	  avimux: don't make the buffer writable unless absolutely necessary
	  https://bugzilla.gnome.org/show_bug.cgi?id=722396

2013-09-12 16:56:56 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2: set GST_BUFFER_FLAG_DELTA_UNIT when appropriate
	  https://bugzilla.gnome.org/show_bug.cgi?id=722394

2014-01-17 07:46:09 +0100  Michael Olbrich <m.olbrich@pengutronix.de>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: don't ref the newly created allocator
	  Otherwise the allocator will never be deleted.
	  https://bugzilla.gnome.org/show_bug.cgi?id=712612

2014-01-15 22:47:12 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: Don't skip all video frames until the first keyframe
	  Instead do it like all other demuxers and let parsers and decoders
	  handle that. The keyframe information inside the container might
	  be completely wrong like in the sample file of the bug report,
